<?php
ini_set('display_errors', 1);
ini_set('max_execution_time', 600);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Branch Purchases');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();
		$branch_id=_GET_POST($_GET['branch_id']);
		shortcut_banner($branch_id);
		empty($_POST)?pre():post();
		print_footer();
	}
}
function pre(){
	$branch_id=_GET_POST($_GET['branch_id']);
	$branch_name=fld("branch_name", "branches", "branch_id='$branch_id'"); ?>
	<form action="<?php echo basename($_SERVER['PHP_SELF'])."?branch_id=$branch_id" ?>" method="POST">
	<div class="post">
		<h1 class="title">ADD Virtual Purchase - <?PHP echo $branch_name ?></h1>
		<div class="entry">
			<table>
				<tbody class="data">
					<tr class="odd" style="height: 25px;">
						<td style="width: 150px; text-align: right;">Date of Virtual Purchase&nbsp;:&nbsp;</td>
						<td style="width: 200px;">&nbsp;<input type="date" class="delivery_date" name="delivery_date"><input type="hidden" id="branch_id" name="branch_id" value="<?php echo $branch_id ?>"></td>
					</tr>
				</tbody>
			</table>
		</div>
		<p class="meta"></p>
	</div>
		<div class="post">
		<h1 class="title">ADD Virtual Purchase Products</h1>
		<div class="entry">
			<table>
				<thead class="data">
					<tr style="height: 25px; text-align: center;">
						<td style="width: 250px">Product</td>
						<td style="width: 100px">Acq. Price</td>
						<td style="width: 100px">Quantity</td>
						<td style="width: 100px">NET</td>
						<td style="width: 25px"><a id="icon1" class="th_img" href="javascript:void(0);" title="Add Product line"><img class="add_line" src="lib/file_add.png"></a></td>
					</tr>
				</thead>
				<tbody class="data" id="prod_container">
					<tr class="odd" style="text-align: center;">
						<td>
							<input type="text" class="prod_name" style="width: 248px;">
							<input type="hidden" class="product_id" name="product_id[]">
							<div class='suggestionsBox' style='width: 250px; display: none;'>
								<div class='suggestionList'></div>
							</div>
						</td>
						<td><input type="text" class="unit_price" name="unit_price[]" style="width: 98px; text-align: right;"></td>
						<td><input type="text" class="quantity" name="quantity[]" style="width: 98px; text-align: right;"></td>
						<td><input type="text" class="net_price" name="net_price[]" style="width: 98px; text-align: right;" readonly></td>
						<td><a id="icon1" class="th_img" href="javascript:void(0);" title="Remove Product line"><img class="rmv_line" src="lib/trash-can.png" style="width: 16px; height: 16px;"></a></td>
					</tr>
				</tbody>
			</table>
			<table>
				<tbody class="data">
					<tr class="odd">
						<td style="width: 575px; text-align: center;"><input type="button" id="sbt" class="button blue" value="Submit"></td>
					</tr>
				</tbody>
			</table>
		</div>
		<p class="meta"></p>
	</div>
	</form>
	<script type="text/javascript">
		$(document).ready(function(){
			var timer;
			$(document).on('click', '.add_line', function(){
				var tr_line = $('#prod_container').children(".odd:first-child").clone();
				$('#prod_container').children(".odd:last-child").after(tr_line);
				clearTimeout(timer);
				timer= setTimeout(function(){
					$('#prod_container').children(".odd:last-child").find('input').each(function(){
						$('.suggestionsBox').hide();
						$(this).val('');
					});	
				}, 50);
				
			});
			$(document).on('click', '.rmv_line', function(){
				var count = $('#prod_container').children().length;
				if (count > 1){
					$(this).parents(".odd").remove();
				} else {
					alert("You are not allowed to delete all fields");
				}
			});
			$(document).on('keyup', '.prod_name', function(){
				var this_elmt = $(this);
				var prod = $(this).val();
				var bran = $('#branch_id').val();
				if (prod.length > 0){
					$(this).siblings('.suggestionsBox').hide();
					clearTimeout(timer);
					timer = setTimeout(function(){
						$.post('get_product.php', {branch_id: bran, product_name: prod}, function(data){
							if (data.length > 0) {
								this_elmt.siblings('.suggestionsBox').show().children('.suggestionList').html(data);
							}
						});
					}, 500);
				} else {
					clearTimeout(timer);
					this_elmt.siblings('.suggestionsBox').hide().children('.suggestionList').html('');
				}
			});
			$(document).on('click', '.li', function(){
				var this_elmt = $(this);
				$(this).parents('.suggestionsBox').siblings('.prod_name').val($(this).children('span').html());
				$(this).parents('.suggestionsBox').siblings('.product_id').val($(this).children('.li_product_id').val());
				var quantity = '0';
				var unit_price = $(this).children('.li_ave_acq').val();
				$(this).parents('.suggestionsBox').parent('td').next().children('.unit_price').val(unit_price);
				$(this).parents('.suggestionsBox').parent('td').next().next().children('.quantity').val(quantity);
				$(this).parents('.suggestionsBox').parent('td').next().next().next().children('.net_price').val(comp_net(quantity, unit_price));
				clearTimeout(timer);
				timer = setTimeout(function(){
					this_elmt.parents('.suggestionsBox').hide().children('.suggestionList').html('');
				}, 100);
			});
			$(document).on('keyup', '.unit_price', function(){
				var unit_price = $(this).val();
				var quantity = $(this).parent('td').next().children('.quantity').val();
				$(this).parent('td').next().next().children('.net_price').val(comp_net(quantity, unit_price));
			});
			$(document).on('keyup', '.quantity', function(){
				var quantity = $(this).val();
				var unit_price = $(this).parent('td').prev().children('.unit_price').val();
				$(this).parent('td').next().children('.net_price').val(comp_net(quantity, unit_price));
			});
			$(document).on('click', '#sbt', function(){
				if ($('.delivery_date').val()==''){
					$('.delivery_date').css('background-color', 'yellow');
					alert("Please add a date before clicking submit. The box in yellow.");
					return;
				}
				var count = 0;
				$('#prod_container').find('input').each(function(){
					if($(this).val()==''){
						count++;
						$(this).css('background-color', 'red');
					}
				});
				if (count > 0){
					alert("Please delete all empty lines before clicking submit. Those with red boxes.");
					return;
				}
				$('form').submit();
			});
			$(document).on('click', 'input[type=text]', function(){
				$(this).css('background-color', 'white');
			});
			$(document).on('click', 'input[type=date]', function(){
				$(this).css('background-color', 'white');
			});
			function comp_net(quantity, unit_price){
				quantity = parseFloat(quantity);
				unit_price = parseFloat(unit_price);
				var net = unit_price*quantity;
				return net;
			}
		});
	</script>
	<?php
}
function post(){
	$delivery_date=_GET_POST($_POST['delivery_date']);
	$branch_id=_GET_POST($_POST['branch_id']);
	$branch_name=fld("branch_name", "branches", "branch_id='$branch_id'");
	$purchase = array(
		'branch_id' 	=> $branch_id,
		'sale_id'		=> 'OVR'.$delivery_date,
		'user_id'		=> $_SESSION['user_id'],
		'delivery_date'	=> $delivery_date,
		'confirm_date'	=> $delivery_date,
		'notes'			=> 'OVER - '.$branch_name
	);
	$purchase_id = sql_ins("branch_purchases", $purchase);
	if($purchase_id == false || $purchase_id == 0){
		return;
	}
	unset($purchase);
	$product_ids = $_POST['product_id'];
	$unit_prices = $_POST['unit_price'];
	$quantities = $_POST['quantity'];
	$net_prices = $_POST['net_price'];
	foreach (array_keys($product_ids) as $key) {
		$purchase_detail = array(
			'purchase_id'	=> $purchase_id,
			'product_id'	=> $product_ids[$key],
			'quantity'		=> $quantities[$key],
			'unit_price'	=> $unit_prices[$key],
			'unit_discount'	=> '0',
			'net_price'		=> $net_prices[$key],
		);
		$pd_id = sql_ins("bpurchase_details", $purchase_detail);
	}
	$line_total = sql_fld("SUM(net_price)", "bpurchase_details", "purchase_id='$purchase_id'");
	$purchase = array(
		'line_total'	=> $line_total,
		'balance'		=> 0
	);
	sql_upd("branch_purchases", $purchase, "purchase_id='$purchase_id'");
	echo "<br><center><table><tr><td bgcolor=#FF0000><table bgcolor=#FFE4B5 width=730><tr><td 
		align=center><font face=arial size=2><img src='lib/s_okay.png'><br><b>
		Virtual Purchase Added.</b></font></td></tr></table></td></tr></table></center><br>";
	show_branch_purchase($purchase_id);
}
?>