<?php

ini_set('display_errors', 1);

error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");

define('TITLE', 'Avanzare Business Solutions - Product Conversions');

define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

val_qry('branch_id', 'branches', 'active=\'1\'');

if(isset($_SESSION['user_id'])) {

	if (validate_user() == true) {

		print_header(TITLE);

		print_navs();

		shortcut_banner(_GET_POST($_GET['branch_id']));

		(isset($_POST[branch_id]) && $_GET[branch_id] == $_POST[branch_id])?pre():post();

		print_footer();

	}

}

else {

	header('Location: login.php');	

}



function pre(){

	$branch_id = _GET_POST($_POST['branch_id']);

	$conv = explode('|', _GET_POST($_POST['conv']));

	$conv_id = $conv[0];

	$fr_units = _GET_POST($_POST['fr_units']);

	$to_units = _GET_POST($_POST['to_units']);

	$cdate = _GET_POST($_POST['c_date']);

	$fr_product_id = sql_fld('fr_product_id', 'tconversions', 'tconv_id=\''.$conv_id.'\'');

	$to_product_id = sql_fld('to_product_id', 'tconversions', 'tconv_id=\''.$conv_id.'\'');

	$fr_product_qty = get_good_inv($fr_product_id, $branch_id);

	if ($fr_product_qty > 0  && $fr_units <= $fr_product_qty && isset($_POST['conv'])){

		$fr_bp_id = sql_fld('bp_id', 'branch_products', 'product_id=\''.$fr_product_id.'\' AND branch_id=\''.$branch_id.'\'');

		$to_bp_id = sql_fld('bp_id', 'branch_products', 'product_id=\''.$to_product_id.'\' AND branch_id=\''.$branch_id.'\'');

		$cto_product_qty = get_good_inv($to_product_id, $branch_id);

		$conversion_details = array(

			'cdate'			=> $cdate,

			'branch_id'		=> $branch_id,

			'user_id'		=> $_SESSION['user_id'],

			'fr_product_id'	=> $fr_product_id,

			'fr_units'		=> $fr_units,

			'to_product_id'	=> $to_product_id,

			'to_units'		=> $to_units

		);

		sql_ins('branch_conversions', $conversion_details);

		unset($fr_product_qty);

		$fr_product_qty = get_good_inv($fr_product_id, $branch_id);

		$fr_product_dtls = array(

			'inventory'		=> $fr_product_qty

		);

		sql_upd('branch_products', $fr_product_dtls, 'bp_id=\''.$fr_bp_id.'\'');

		$to_product_qty = get_good_inv($to_product_id, $branch_id);

		$fr_acq_price = sql_fld('acq_price', 'branch_products', 'bp_id=\''.$fr_bp_id.'\'');

		$fr_ave_acq = sql_fld('ave_acq', 'branch_products', 'bp_id=\''.$fr_bp_id.'\'');

		$cto_ave_acq = sql_fld('ave_acq', 'branch_products', 'bp_id=\''.$to_bp_id.'\'');

		$conv_units = (isset($_POST[over_ride])?($to_units / $fr_units):$conv[1]);

		$acq_price = ($fr_acq_price==0?$fr_ave_acq:$fr_acq_price) / $conv_units;

		$to_ave_acq = (($to_units * ($fr_ave_acq / $conv_units)) + ($cto_product_qty * $cto_ave_acq)) / $to_product_qty;

		$to_product_dtls = array(

			'inventory'		=> $to_product_qty,

			'ave_acq'		=> $to_ave_acq,

			'acq_price'		=> $acq_price

		);

		sql_upd('branch_products', $to_product_dtls, 'bp_id=\''.$to_bp_id.'\''); ?>

		<br>

		<center>

			<table bgcolor='#008000'>

				<tr>

					<td>

						<table bgcolor='#FFE5B4' width='730'>

							<tr>

								<td align='center'>

									<font face='arial' size='2'><img src='lib/s_okay.png'>

										<br>

										<br>

										Conversion Successful.<br>

										New Inventory Values.

										<?php echo sql_fld('product_name', 'products', 'product_id=\''.$fr_product_id.'\'').': '.$fr_product_qty ?><br>

										<?php echo sql_fld('product_name', 'products', 'product_id=\''.$to_product_id.'\'').': '.$to_product_qty ?><br>

										Click <a class=tddata href='branch_convert_product.php?branch_id=<?php echo $branch_id ?>'>here</a> to convert another product.<br>

										Or <a class=tddata href='branch_conversions.php?branch_id=<?php echo $branch_id ?>'>here</a> to view product convertions.<br>

										<br>

									</font>

								</td>

							</tr>

						</table>

					</td>

				</tr>

			</table>

		</center>

		<br><?php

	} else {

		$err_msg = 'The following error were encountered.<br>';

		if ($fr_product_qty <= 0){

			$err_msg .= 'There is no product available.<br>';

		}

		if ($fr_units > $fr_product_qty){

			$err_msg .= 'Your conversion request is more than what is available.<br>';

		}

		if (!isset($_POST[conv])){

			$err_msg .= 'There is no selected product to be converted.<br>';

		} ?>

		<br>

		<center>

			<table bgcolor='#FF0000'>

				<tr>

					<td>

						<table bgcolor='#FFE5B4' width='730'>

							<tr>

								<td align='center'>

									<font face='arial' size='2'><img src='lib/s_error.png'>

										<br>

										<br>

										<?php echo $err_msg ?>

										Click <a class=tddata href='branch_convert_product.php?branch_id=<?php echo $branch_id ?>'>here</a> to try converting another product.<br>

										Or <a class=tddata href='branch_conversions.php?branch_id=<?php echo $branch_id ?>'>here</a> to view product convertions.<br>

									</font>

								</td>

							</tr>

						</table>

					</td>

				</tr>

			</table>

		</center>

		<br><?php

	}

}



function post(){

	$date = sql_curdate();

	$branch_id = _GET_POST($_GET[branch_id]);

	$conversions = sql_qry('SELECT c.tconv_id, fp.product_name AS fr_prod, tp.product_name AS to_prod, c.conv_units AS to_units

				FROM tconversions c

					INNER JOIN products fp ON c.fr_product_id = fp.product_id

					INNER JOIN products tp ON c.to_product_id = tp.product_id

				WHERE fp.active = 1 AND tp.active = 1

				ORDER BY fp.product_name ASC'); ?>

	<div class="post">

		<h1 class="title">Product Conversion - <?PHP echo sql_fld('branch_name', 'branches', 'branch_id=\''.$branch_id.'\'') ?></h1>

		<div class="entry">

			<form action="branch_convert_product.php?branch_id=<?php echo $branch_id ?>" method="POST">

			<table>

				<tbody>

					<tr class="odd" height="20px">

						<td>Date:&nbsp;</td>

						<td>&nbsp;<input type="date" name="c_date" value="<?php echo $date ?>"></td>

					</tr>

					<tr class="even" height="20px">

						<td>Conversion:&nbsp;</td>

						<td>&nbsp;<select id="conv" name="conv" style="text-align-last: center">

							<option disabled selected>Source Product&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;----->&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Converted Product</option><?php 

							while ($convert = mysql_fetch_assoc($conversions)) { ?>

							<option value="<?php echo $convert[tconv_id].'|'.$convert[to_units] ?>"><?php echo $convert[fr_prod].'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;----->&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$convert[to_units].' '.$convert[to_prod] ?></option><?php

							} ?>

						</select>&nbsp;</td>

						<td align="center" width="60px">Override:</td>

					</tr>

					<tr class="odd" height="20px">

						<td>From Units:&nbsp;</td>

						<td>&nbsp;<input type="text" id="fr_units" name="fr_units"></td>

						<td align="center" rowspan="2"><input type="checkbox" id="over_ride" name="over_ride" value="1"></td>

					</tr>

					<tr class="even" height="20px">

						<td>To Units:&nbsp;</td>

						<td>&nbsp;<input type="text" id="to_units" name="to_units"></td>

					</tr>

					<tr class="odd" height="20px">

						<td colspan="3" align="center"><input type="reset" class="button blue" name="rst" value="Reset">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="submit" class="button blue" name="sbt" value="Submit"><input type="hidden" name="branch_id" value="<?php echo $branch_id ?>"></td>

					</tr>

				</tbody>

			</table>

			</form>

			<script type="text/javascript">

				$(document).ready(function(){

					$('#conv').change(function(){

						var str = $(this).val().split('|');

						$('#fr_units').val('1');

						$('#to_units').val(parseFloat($('#fr_units').val())*parseFloat(str[1]));

					});

					$('#fr_units').keyup(function(){

						var str = $('#conv').val()==null?[0,0]:$('#conv').val().split('|');

						if ($('#over_ride').prop('checked')==false){

							setTimeout(function(){

								$('#to_units').val(parseFloat($('#fr_units').val())*parseFloat(str[1]));

								if($('#to_units').val()%str[1] != 0){

									alert('Conversions should always be exact.');

									$('#fr_units').val('1');

									$('#to_units').val(parseFloat($('#fr_units').val())*parseFloat(str[1]));

								}

							}, 500);							

						}

					});

					$('#to_units').keyup(function(){

						var str = $('#conv').val()==null?[0,0]:$('#conv').val().split('|');

						if ($('#over_ride').prop('checked')==false){

							setTimeout(function(){

								$('#fr_units').val(parseFloat($('#to_units').val())/parseFloat(str[1]));

								if($('#to_units').val()%str[1] != 0){

									alert('Conversions should always be exact.');

									$('#fr_units').val('1');

									$('#to_units').val(parseFloat($('#fr_units').val())*parseFloat(str[1]));

								}

							}, 500);

						}

					});

				});

			</script>

		</div>

		<p class="meta"></p>

	</div><?php

}

?>