<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Branch Inventory');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();

		// contents here
		if ($_POST['field'] != "") {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$field = htmlentities(mysql_real_escape_string(stripslashes($_POST['field'])));
			} else {
				$field = htmlentities(mysql_real_escape_string($_POST['field']));
			}
			$branch_id = $_GET['branch_id'];
		} else {
			$branch_id = $_GET['branch_id'];
			$field = $_GET['field'];
			$page = $_GET['page'];
		}
		show_inventory($branch_id, $field, $page);

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_inventory($branch_id, $field, $page) {
	// get the name of the branch
	$sql = "SELECT branch_name FROM branches WHERE branch_id = '$branch_id'"; 
	$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); $branch_name = $brow[0];
	// get the customer number of this branch
	$sql = "SELECT customer_id FROM customer_branches WHERE branch_id = '$branch_id'"; 
	$cres = mysql_query($sql); $crow = mysql_fetch_array($cres); $customer_id = $crow[0];
	
	// If current page number, use it if not, set one!
	if(!isset($_GET['page'])){ $page = 1; } 
	else { $page = $_GET['page']; } 

	// Define the number of results per page
	$max_results = 30;

	// Figure out the limit for the query based  on the current page number.
	$from = (($page * $max_results) - $max_results);

	// Make links to click in order for  user to sort by whichever column
	$allowed = array('p.product_name', 'c.category_name ASC, m.manufacturer_name ASC, p.product_name ASC');
	$sortby = (in_array($_GET['sortby'], $allowed)) ? $_GET['sortby'] : 'p.product_name';

	if ($field == "") {
		// build and run the sql query
		$sql = "SELECT p.product_id, p.product_num, p.product_name, bp.ave_acq, bp.price
				FROM products p INNER JOIN branch_products bp ON bp.product_id = p.product_id
					INNER JOIN categories c ON p.category_id = c.category_id
					INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id
				WHERE p.active = 1 AND bp.branch_id = '$branch_id'
				ORDER BY $sortby LIMIT $from, $max_results"; 
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT p.product_id
				FROM products p INNER JOIN branch_products bp ON bp.product_id = p.product_id
				WHERE p.active = 1 AND bp.branch_id = '$branch_id'";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	} else {
		// build and run the sql query
		$sql = "SELECT p.product_id, p.product_num, p.product_name, bp.ave_acq, bp.price
				FROM products p INNER JOIN branch_products bp ON bp.product_id = p.product_id
					INNER JOIN categories c ON p.category_id = c.category_id
					INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id
				WHERE p.active = 1 AND bp.branch_id = '$branch_id' AND (p.product_name LIKE '%$field%' OR p.product_num LIKE '%$field%')
				ORDER BY $sortby LIMIT $from, $max_results"; 
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT p.product_id
				FROM products p INNER JOIN branch_products bp ON bp.product_id = p.product_id
				WHERE p.active = 1 AND bp.branch_id = '$branch_id' AND (p.product_name LIKE '%$field%' OR p.product_num LIKE '%$field%')";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	}

	// Figure out the total number of pages we will have
	$total_pages = ceil($total_results / $max_results);

	// Figure out the current page result numbers
	$fr = $from + 1;
	$to = $from + $num;

	// show the table and data
	?>
	<div class="post">
		<div id="search">
			<a id="icon2" class="th_img" href="verify_branch_inventory.php?branch_id=<?PHP echo $branch_id ?>&field=<?PHP echo $field ?>" target="new"><img src="lib/printer.png" width="16" height="16"></a>
			<a id="icon2" class="th_img" href="print_branch_inventory.php?branch_id=<?PHP echo $branch_id ?>&field=<?PHP echo $field ?>" target="new"><img src="lib/b_print.png"></a>
			<form method="POST" action="branch_inventory.php?branch_id=<?PHP echo $branch_id ?>">
				<input id="sbox" type="text" name="field">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class="title"><?PHP echo $branch_name ?>'s Inventory</h1>
		<div class="entry">
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
			<table>
				<thead class="data">
					<tr>
						<td rowspan="2" width="40" align="center">Code</td>
						<td rowspan="2" width="190" align="center"><a class="thdata" href="<?PHP $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $page ?>&field=<?PHP echo $field ?>&sortby=p.product_name">Product Name</a></td>
						<td rowspan="2" width="50" align="center">Acq</td>
						<td rowspan="2" width="50" align="center">Price</td>
						<td colspan="2" width="100" align="center">Good</td>
						<td colspan="2" width="90" align="center">Damaged</td>
						<td colspan="2" width="90" align="center">Expired</td>
						<td colspan="2" width="90" align="center">Expiring</td>
					</tr>
					<tr>
						<td align="center" width="40">Qty</td>
						<td align="center" width="60">Value</td>
						<td align="center" width="40">Qty</td>
						<td align="center" width="50">Value</td>
						<td align="center" width="40">Qty</td>
						<td align="center" width="50">Value</td>
						<td align="center" width="40">Qty</td>
						<td align="center" width="50">Value</td>
					</tr>
				</thead>
				<tbody class="data">
					<?PHP
					if ($num > 0) {
						$i = 1; 
						while ($row = mysql_fetch_array($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
							?>
								<td align="left"><a class="tddata" href="bproduct_its.php?product_id=<?PHP echo $row[0] ?>&branch_id=<?PHP echo $branch_id ?>"><?PHP echo $row[1] ?></a></td>
								<td align="left"><a class="tddata" href="bproduct_its.php?product_id=<?PHP echo $row[0] ?>&branch_id=<?PHP echo $branch_id ?>"><?PHP echo $row[2] ?></a></td>
								<td align="right"><?PHP 
									if ($row[3] >= $row[4]) {
										?><font color="red"><?PHP echo number_format($row[3], 2); ?><font color="red"><?PHP
									} else {
										echo number_format($row[3], 2);
									}
									?></td>
								<td align="right"><?PHP echo number_format($row[4], 2) ?></td>
								<td align="right"><?PHP 
									// get the sum of purchases
									$sql = "SELECT SUM(pd.quantity)
											FROM branch_purchases p INNER JOIN bpurchase_details pd ON p.purchase_id = pd.purchase_id
											WHERE p.branch_id = '$branch_id' AND pd.product_id = '$row[0]' AND p.user_id != 0"; 
									$tpur_res = mysql_query($sql); $tpur_row = mysql_fetch_array($tpur_res);
									// get the sum of returns from customers
									$sql = "SELECT SUM(rb.quantity)
											FROM returns_branches r INNER JOIN rb_details rb ON r.rb_id = rb.rb_id
											WHERE r.branch_id = '$branch_id' AND rb.product_id = '$row[0]' AND rb.rtype = 1"; 
									$giret_res = mysql_query($sql); $giret_row = mysql_fetch_array($giret_res);
									// get the sum of conversions
									$sql = "SELECT SUM(to_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND to_product_id = '$row[0]'"; 
									$rcon_res = mysql_query($sql); $rcon_row = mysql_fetch_array($rcon_res); 

									// get the sum of sales
									$sql = "SELECT SUM(sd.quantity)
											FROM branch_sales s INNER JOIN bsale_details sd ON s.sale_id = sd.sale_id
											WHERE sd.product_id = '$row[0]' AND s.branch_id = '$branch_id' AND sd.deleted=0";
									$tsale_res = mysql_query($sql); $tsale_row = mysql_fetch_array($tsale_res);
									// get the sum of good returns to main office
									$sql = "SELECT SUM(rd.quantity)
											FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
											WHERE r.customer_id = '$customer_id' AND rd.product_id = '$row[0]' AND rd.rtype = 1"; 
									$goret_res = mysql_query($sql); $goret_row = mysql_fetch_array($goret_res);
									// get the sum of conversions
									$sql = "SELECT SUM(fr_units) FROM branch_conversions WHERE branch_id = '$branch_id' AND fr_product_id = '$row[0]'"; 
									$wcon_res = mysql_query($sql); $wcon_row = mysql_fetch_array($wcon_res); 
									// get the sum of loss
									$sql = "SELECT SUM(bl.quantity)
											FROM branch_losses l INNER JOIN bl_details bl ON l.bl_id = bl.bl_id
											WHERE l.branch_id = '$branch_id' AND bl.product_id = '$row[0]'"; 
									$gl_res = mysql_query($sql); $gl_row = mysql_fetch_array($gl_res); 
									
									$good = ($tpur_row[0] + $giret_row[0] + $rcon_row[0]) - ($tsale_row[0] + $goret_row[0] + $wcon_row[0] + $gl_row[0]);
									
									// get the reorder_level
									$sql = "SELECT reorder FROM branch_products WHERE branch_id = '$branch_id' AND product_id = '$row[0]'";
									$ro_res = mysql_query($sql); $ro_row = mysql_fetch_array($ro_res); $reorder = $ro_row[0]; 
									
									if ($good > $reorder) {
										echo number_format($good, 2); 
									} else {
										if ($good < 0) {
											?><font color="red"><i><?PHP echo number_format($good, 2); ?></i></font><?PHP
										} else {
											?><i><?PHP echo number_format($good, 2); ?></i><?PHP
										}
									}
									
									
									mysql_free_result($tpur_res);
									mysql_free_result($giret_res);
									mysql_free_result($tsale_res);
									mysql_free_result($goret_res);
									mysql_free_result($rcon_res);
									mysql_free_result($wcon_res);
									mysql_free_result($gl_res);
									
									$sql = "UPDATE branch_products SET inventory = '$good' 
											WHERE branch_id = '$branch_id' AND product_id = '$row[0]' LIMIT 1";
									mysql_query($sql) or die(mysql_error()); 
									
									?></td>
								<td align="right"><?PHP echo number_format(($good * $row[3]), 2); ?></td>
								<td align="right"><?PHP 
									// get the sum of damaged returns from customers
									$sql = "SELECT SUM(rd.quantity)
											FROM returns_branches r INNER JOIN rb_details rd ON r.rb_id = rd.rb_id
											WHERE r.branch_id = '$branch_id' AND rd.product_id = '$row[0]' AND rd.rtype = 2"; 
									$diret_res = mysql_query($sql); $diret_row = mysql_fetch_array($diret_res);
									// get the sum of loss
									$sql = "SELECT SUM(bl.quantity)
											FROM branch_losses l INNER JOIN bl_details bl ON l.bl_id = bl.bl_id
											WHERE l.branch_id = '$branch_id' AND bl.product_id = '$row[0]' AND bl.rtype = 2"; 
									$dl_res = mysql_query($sql); $dl_row = mysql_fetch_array($dl_res); 

									// get the sum of damaged returns to main office
									$sql = "SELECT SUM(rd.quantity)
											FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
											WHERE r.customer_id = '$customer_id' AND rd.product_id = '$row[0]' AND rd.rtype = 2"; 
									$doret_res = mysql_query($sql); $doret_row = mysql_fetch_array($doret_res);
									
									$damaged = ($diret_row[0] + $dl_row[0]) - $doret_row[0]; 
									echo number_format($damaged, 2); 
									
									mysql_free_result($diret_res);
									mysql_free_result($doret_res);
									
									$sql = "UPDATE branch_products SET damaged = '$damaged' 
											WHERE branch_id = '$branch_id' AND product_id = '$row[0]' LIMIT 1";
									mysql_query($sql) or die(mysql_error()); 
									
									?></td>
								<td align="right"><?PHP echo number_format(($damaged * $row[3]), 2); ?></td>
								<td align="right"><?PHP 
									// get the sum of expired returns from customers
									$sql = "SELECT SUM(rd.quantity)
											FROM returns_branches r INNER JOIN rb_details rd ON r.rb_id = rd.rb_id
											WHERE r.branch_id = '$branch_id' AND rd.product_id = '$row[0]' AND rd.rtype = 3"; 
									$eiret_res = mysql_query($sql); $eiret_row = mysql_fetch_array($eiret_res);
									// get the sum of loss
									$sql = "SELECT SUM(bl.quantity)
											FROM branch_losses l INNER JOIN bl_details bl ON l.bl_id = bl.bl_id
											WHERE l.branch_id = '$branch_id' AND bl.product_id = '$row[0]' AND bl.rtype = 3"; 
									$el_res = mysql_query($sql); $el_row = mysql_fetch_array($el_res); 

									// get the sum of expired returns to main office
									$sql = "SELECT SUM(rd.quantity)
											FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
											WHERE r.customer_id = '$customer_id' AND rd.product_id = '$row[0]' AND rd.rtype = 3"; 
									$eoret_res = mysql_query($sql); $eoret_row = mysql_fetch_array($eoret_res);

									$expired = ($eiret_row[0] + $el_row[0]) - $eoret_row[0]; 
									echo number_format($expired, 2); 
									
									mysql_free_result($eiret_res);
									mysql_free_result($eoret_res);
									
									$sql = "UPDATE branch_products SET expired = '$expired' 
											WHERE branch_id = '$branch_id' AND product_id = '$row[0]' LIMIT 1";
									mysql_query($sql) or die(mysql_error()); 
									
									?></td>
								<td align="right"><?PHP echo number_format(($expired * $row[3]), 2); ?></td>
								<td align="right"><?PHP 
									// get the sum of expiring returns from customers
									$sql = "SELECT SUM(rd.quantity)
											FROM returns_branches r INNER JOIN rb_details rd ON r.rb_id = rd.rb_id
											WHERE r.branch_id = '$branch_id' AND rd.product_id = '$row[0]' AND rd.rtype = 4"; 
									$exiret_res = mysql_query($sql); $exiret_row = mysql_fetch_array($exiret_res);
									// get the sum of loss
									$sql = "SELECT SUM(bl.quantity)
											FROM branch_losses l INNER JOIN bl_details bl ON l.bl_id = bl.bl_id
											WHERE l.branch_id = '$branch_id' AND bl.product_id = '$row[0]' AND bl.rtype = 4"; 
									$exl_res = mysql_query($sql); $exl_row = mysql_fetch_array($exl_res); 

									// get the sum of expiring returns to main office
									$sql = "SELECT SUM(rd.quantity)
											FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
											WHERE r.customer_id = '$customer_id' AND rd.product_id = '$row[0]' AND rd.rtype = 4"; 
									$exoret_res = mysql_query($sql); $exoret_row = mysql_fetch_array($exoret_res);

									$expiring = ($exiret_row[0] + $exl_row[0]) - $exoret_row[0]; 
									echo number_format($expiring, 2); 
									
									mysql_free_result($exiret_res);
									mysql_free_result($exoret_res);
									
									$sql = "UPDATE branch_products SET expiring = '$expiring' 
											WHERE branch_id = '$branch_id' AND product_id = '$row[0]' LIMIT 1";
									mysql_query($sql) or die(mysql_error()); 
									
									?></td>
								<td align="right"><?PHP echo number_format(($expiring * $row[3]), 2); ?></td>
							</tr>
							<?PHP
							$i++;
						}
					} else {
						?>
						<tr>
							<td align="center" colspan="8">There are NO existing records of product inventory levels</td>
						</tr>
						<?PHP				
					}
					?>
				</tbody>
			</table>
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
		</div>
		<p class="meta"></p>
	</div>
	<?PHP
	mysql_free_result($res);
	mysql_free_result($tres);
}


?>