<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Receive Purchase Order');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		
		// contents here
		if(isset($_POST['submitted'])) { // if submit button has been pressed
			if (isset($_SESSION['token']) && $_POST['token'] == $_SESSION['token']) {
				// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
				if(get_magic_quotes_gpc()) {
					$pdxn_id = mysql_real_escape_string(stripslashes($_POST['pdxn_id']));
				} else {
					$pdxn_id = mysql_real_escape_string($_POST['pdxn_id']);
				}
				$pdxns_rec = sql_rec('pdxns', 'pdxn_id = \''.$pdxn_id.'\'');
				$fr_whouse_id = $pdxns_rec['fr_whouse_id'];
				$to_whouse_id = $pdxns_rec['to_whouse_id'];
				$fin_product_id = $pdxns_rec['product_id'];
				$quantity = $pdxns_rec['quantity'];
				$total_cost = $pdxns_rec['total_cost'];
				$ave_cost = number_format($total_cost / $quantity, 2, '.', '');

				// the used products for production should be subtracted from the inventory
				$pdxn_dtls = sql_qry("SELECT product_id, quantity, net_price FROM pdxn_details WHERE pdxn_id = '$pdxn_id'");
				while ($pdxn_row = mysql_fetch_assoc($pdxn_dtls)) {
					$product_id = $pdxn_row['product_id'];
					$quantity = $pdxn_row['quantity'];
					$net_price = $pdxn_row['net_price'];

					// get the sum of purchases
					$raw_sum_purchases = sql_fld('SUM(pd.quantity)',
						'purchases p INNER JOIN purchase_details pd ON p.purchase_id = pd.purchase_id',
						'p.whouse_id=\''.$fr_whouse_id.'\' AND pd.product_id=\''.$product_id.'\' AND p.direct_delivery=0 AND p.user2_id!=0');

					// get the sum of incoming transfers
					$raw_sum_incoming_transfers = sql_fld('SUM(td.quantity)',
						'transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id',
						't.to_whouse_id=\''.$fr_whouse_id.'\' AND td.product_id=\''.$product_id.'\' AND t.user2_id!=0');

					// get the sum of returns from customers
					$raw_sum_customer_returns = sql_fld('SUM(rd.quantity)',
						'returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id',
						'r.whouse_id=\''.$fr_whouse_id.'\' AND rd.product_id=\''.$product_id.'\' AND rd.rtype=1');
					
					// get the sum of conversions
					$raw_sum_to_conversions = sql_fld('SUM(to_units)',
						'conversions',
						'whouse_id=\''.$fr_whouse_id.'\' AND to_product_id=\''.$product_id.'\'');
														
					// get the sum of productions
					$raw_sum_production = sql_fld('SUM(quantity)',
						'pdxns',
						'to_whouse_id=\''.$fr_whouse_id.'\' and product_id=\''.$product_id.'\' AND user2_id!=0');

					// get the sum of sales
					$raw_sum_sales = sql_fld('SUM(sd.quantity)',
						'sales s INNER JOIN sale_details sd ON s.sale_id = sd.sale_id',
						'sd.product_id=\''.$product_id.'\' AND s.whouse_id=\''.$fr_whouse_id.'\' AND s.purchase_id=0');

					// get the sum of outgoing transfers
					$raw_sum_outgoing_transfers = sql_fld('SUM(td.quantity)',
						'transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id',
						't.fr_whouse_id=\''.$fr_whouse_id.'\' AND td.product_id=\''.$product_id.'\'');

					// get the sum of good returns to suppliers
					$raw_sum_good_returns_to_supplier = sql_fld('SUM(rd.quantity)',
						'returns_suppliers r INNER JOIN rs_details rd ON r.rs_id = rd.rs_id',
						'r.whouse_id=\''.$fr_whouse_id.'\' AND rd.product_id=\''.$product_id.'\' AND rd.rtype=1');

					// get the sum of loss
					$raw_sum_losses = sql_fld('SUM(wl.quantity)',
						'warehouse_losses l INNER JOIN wl_details wl ON l.wl_id = wl.wl_id',
						'l.whouse_id=\''.$fr_whouse_id.'\' AND wl.product_id=\''.$product_id.'\'');

					// get the sum of conversions
					$raw_sum_fr_conversions = sql_fld('SUM(fr_units)',
						'conversions',
						'whouse_id=\''.$fr_whouse_id.'\' AND fr_product_id=\''.$product_id.'\'');

					// get the sum of used items in production
					$raw_sum_production_items = sql_fld('SUM(pd.quantity)',
						'pdxns p INNER JOIN pdxn_details pd ON p.pdxn_id = pd.pdxn_id',
						'p.fr_whouse_id=\''.$fr_whouse_id.'\' AND p.user2_id!=0 AND pd.product_id=\''.$product_id.'\'');

					$raw_good = ($raw_sum_purchases+$raw_sum_incoming_transfers+$raw_sum_customer_returns+$raw_sum_to_conversions+$raw_sum_production)-($raw_sum_sales+$raw_sum_outgoing_transfers+$raw_sum_good_returns_to_supplier+$raw_sum_losses+$raw_sum_fr_conversions+$raw_sum_production_items);

					$raw_warehouse_inventory = array(
						'inventory' => $raw_good
					);
					sql_upd('warehouse_products', $raw_warehouse_inventory, 'product_id=\''.$product_id.'\'');
				}

				// THE INVENTORY OF THE NEW PRODUCT MUST BE UPDATED
				$fin_sum_purchases = sql_fld('SUM(pd.quantity)',
					'purchases p INNER JOIN purchase_details pd ON p.purchase_id = pd.purchase_id',
					'p.whouse_id=\''.$to_whouse_id.'\' AND pd.product_id=\''.$fin_product_id.'\' AND p.direct_delivery=0 AND p.user2_id!=0');

				// get the sum of incoming transfers
				$fin_sum_incoming_transfers = sql_fld('SUM(td.quantity)',
					'transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id',
					't.to_whouse_id=\''.$to_whouse_id.'\' AND td.product_id=\''.$fin_product_id.'\' AND t.user2_id!=0');

				// get the sum of returns from customers
				$fin_sum_customer_returns = sql_fld('SUM(rd.quantity)',
					'returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id',
					'r.whouse_id=\''.$to_whouse_id.'\' AND rd.product_id=\''.$fin_product_id.'\' AND rd.rtype=1');
				
				// get the sum of conversions
				$fin_sum_to_conversions = sql_fld('SUM(to_units)',
					'conversions',
					'whouse_id=\''.$to_whouse_id.'\' AND to_product_id=\''.$fin_product_id.'\'');
													
				// get the sum of productions
				$fin_sum_production = sql_fld('SUM(quantity)',
					'pdxns',
					'to_whouse_id=\''.$to_whouse_id.'\' and product_id=\''.$fin_product_id.'\' AND user2_id!=0');

				// get the sum of sales
				$fin_sum_sales = sql_fld('SUM(sd.quantity)',
					'sales s INNER JOIN sale_details sd ON s.sale_id = sd.sale_id',
					'sd.product_id=\''.$fin_product_id.'\' AND s.whouse_id=\''.$to_whouse_id.'\' AND s.purchase_id=0');

				// get the sum of outgoing transfers
				$fin_sum_outgoing_transfers = sql_fld('SUM(td.quantity)',
					'transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id',
					't.fr_whouse_id=\''.$to_whouse_id.'\' AND td.product_id=\''.$fin_product_id.'\'');

				// get the sum of good returns to suppliers
				$fin_sum_good_returns_to_supplier = sql_fld('SUM(rd.quantity)',
					'returns_suppliers r INNER JOIN rs_details rd ON r.rs_id = rd.rs_id',
					'r.whouse_id=\''.$to_whouse_id.'\' AND rd.product_id=\''.$fin_product_id.'\' AND rd.rtype=1');

				// get the sum of loss
				$fin_sum_losses = sql_fld('SUM(wl.quantity)',
					'warehouse_losses l INNER JOIN wl_details wl ON l.wl_id = wl.wl_id',
					'l.whouse_id=\''.$to_whouse_id.'\' AND wl.product_id=\''.$fin_product_id.'\'');

				// get the sum of conversions
				$fin_sum_fr_conversions = sql_fld('SUM(fr_units)',
					'conversions',
					'whouse_id=\''.$to_whouse_id.'\' AND fr_product_id=\''.$fin_product_id.'\'');

				// get the sum of used items in production
				$fin_sum_production_items = sql_fld('SUM(pd.quantity)',
					'pdxns p INNER JOIN pdxn_details pd ON p.pdxn_id = pd.pdxn_id',
					'p.fr_whouse_id=\''.$to_whouse_id.'\' AND p.user2_id!=0 AND pd.product_id=\''.$fin_product_id.'\'');

				$fin_good = ($fin_sum_purchases+$fin_sum_incoming_transfers+$fin_sum_customer_returns+$fin_sum_to_conversions+$fin_sum_production)-($fin_sum_sales+$fin_sum_outgoing_transfers+$fin_sum_good_returns_to_supplier+$fin_sum_losses+$fin_sum_fr_conversions+$fin_sum_production_items);

				//$ave_acq = sql_fld('ave_acq', 'warehouse_products', 'product_id=\''.$fin_product_id.'\' AND whouse_id=\''.$to_whouse_id.'\'');
				
				$new_inventory = $fin_good + $quantity;
				//$fin_ave_acq = (($ave_acq * $fin_good) + $total_cost) / $new_inventory; will have to figure out what happening here
				$fin_ave_acq = $total_cost / $quantity;

				$warehouse_inventory = array(
					'inventory' => $new_inventory,
					'ave_acq' => $fin_ave_acq
				);
				sql_upd('warehouse_products', $warehouse_inventory, 'product_id=\''.$fin_product_id.'\' AND whouse_id=\''.$to_whouse_id.'\'');
				$pdxn_dtls = array(
					'user2_id ' => $_SESSION['user_id']
				);
				$confirm = sql_upd('pdxns', $pdxn_dtls, 'pdxn_id = \''.$pdxn_id.'\'');

				if ($confirm != -1) {
					echo "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
						align=center><font face=arial size=2><img src='lib/s_okay.png'><br><br>
						Click <a class=tddata href='add_pdxn.php'>here</a> to add ANOTHER PRODUCTION.<br><br>
						Or <a class=tddata href='pdxns.php'>click here</a> to go back to productions.</font></td></tr></table></td></tr></table></center><br>";
					show_pdxn($pdxn_id);
				} else {
					echo "<br><center><table bgcolor=#FF0000><tr><td><table bgcolor=#FFE4B5 width=730><tr><td 
						align=center><font face=arial size=2><img src='lib/s_error.png'><br><br><b>Could 
						not update production in the database.</font></td></tr></table></td></tr></table></center><br>";
					show_form($pdxn_id);
				}
			} else {
				$sql = "DELETE FROM users_online WHERE user_id = '$_SESSION[user_id]' LIMIT 1";
				mysql_query($sql) or die(mysql_error()); 
				session_unset();
				session_destroy();
				header('Location: login.php');
			}
		} else {
			// Check for valid entry pdxn_id in the URL
			if (is_numeric($_GET['pdxn_id'])) {
				$pdxn_id = $_GET['pdxn_id'];
			}
			show_form($pdxn_id);
		}
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_form($pdxn_id) {
	$token = md5(uniqid(rand(), true));
	$_SESSION['token'] = $token;

	$sql = "SELECT DATE_FORMAT(pd.pdxn_date, '%b %e, %Y'), pd.product_id, p.product_name, w.whouse_name, 
				pd.to_whouse_id, CONCAT(u.fname,' ',u.lname), pd.user2_id, pd.quantity, pd.total_cost
			FROM pdxns pd 
				INNER JOIN products p ON pd.product_id = p.product_id
				INNER JOIN warehouses w ON pd.fr_whouse_id = w.whouse_id
				INNER JOIN users u ON pd.user_id = u.user_id
			WHERE pd.pdxn_id = '$pdxn_id'";
	$res = mysql_query($sql) or die(mysql_error()); 
	$row = mysql_fetch_array($res);
	
	?>
	<form action="confirm_pdxn.php" method="POST">
		<div class="post">
			<h1 class="title">Confirm Production</h1>
			<div class="entry">
				<table align="center">
					<tbody class="data">
						<tr class="odd"><td align="right" width="120">Date&nbsp;</td>
							<td align="left" width="230">&nbsp;<?PHP echo $row[0] ?></td>
							<td align="right" width="120">Product&nbsp;</td>
							<td align="left" width="230">&nbsp;<a class="tddata" href="product.php?product_id=<?PHP echo $row[1] ?>"><?PHP echo $row[2] ?></a></td></tr>
						<tr class="even"><td align="right">Source Warehouse&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[3] ?></td>
							<td align="right">Storage Warehouse&nbsp;</td>
							<td align="left">&nbsp;<?PHP
								$sql = "SELECT whouse_name FROM warehouses WHERE whouse_id = '$row[4]'";
								$wres = mysql_query($sql) or die(mysql_error()); 
								$wrow = mysql_fetch_array($wres); echo $wrow[0];  ?></td></tr>
						<tr class="odd"><td align="right">Prepared By&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo $row[5] ?></td>
							<td align="right">Verified By&nbsp;</td>
							<td align="left">&nbsp;<?PHP
								$sql = "SELECT CONCAT(lname,', ',fname) FROM users WHERE user_id = '$row[6]'";
								$ures = mysql_query($sql) or die(mysql_error()); 
								$urow = mysql_fetch_array($ures); echo $urow[0];
								?></td></tr>
						<tr class="even"><td align="right">Quantity&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo number_format($row[7], 2) ?></td>
							<td align="right">Total Cost&nbsp;</td>
							<td align="left">&nbsp;<?PHP echo number_format($row[8], 2) ?></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div><br>
		<div class="post">
			<h1 class="title">Production Details</h1>
			<div class="entry">
				<table align="center">
					<thead class="data">
						<tr><td colspan="4" align="center">USED ITEMS</td></tr>
						<tr>
							<td align="center" width="330">Product</td>
							<td align="center" width="120">Unit Price</td>
							<td align="center" width="120">Quantity</td>
							<td align="center" width="120">Net Price</td>
						</tr>
					</thead>
					<tbody class="data">
						<?PHP
						$sql = "SELECT pd.pd_id, pd.product_id, p.product_name, pd.unit_price, pd.quantity, pd.net_price
								FROM pdxn_details pd INNER JOIN products p ON pd.product_id = p.product_id
								WHERE pd.pdxn_id = '$pdxn_id'
								ORDER BY pd.pd_id";
						$res2 = mysql_query($sql);
						$i = 1; 
						while ($row2 = mysql_fetch_array($res2)) {
							$m = fmod($i, 2); 
							if ($m == 0) {
								?><tr class="even"><?PHP
							} else {
								?><tr class="odd"><?PHP
							}
							?>
								<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row2[1] ?>"><?PHP echo $row2[2] ?></a></td>
								<td align="right"><?PHP echo number_format($row2[3], 2) ?></td>
								<td align="right"><?PHP echo number_format($row2[4], 0) ?></td>
								<td align="right"><?PHP echo number_format($row2[5], 2) ?></td>
							</tr>
							<?PHP
							$i++; 
						}
						$sql = "SELECT SUM(quantity), SUM(net_price) FROM pdxn_details WHERE pdxn_id = '$pdxn_id'";
						$tres = mysql_query($sql); $trow = mysql_fetch_array($tres);
						?>
						<tr class="total">
							<td colspan="2" align="right"><b>Line Totals</b></td>
							<td align="right"><b><?PHP echo number_format($trow[0], 0) ?></b></td>
							<td align="right"><b><?PHP echo number_format($trow[1], 2) ?></b></td>
						</tr>
					</tbody>
				</table><br>
				<table>
					<thead class="data">
						<tr><td colspan="2" align="center">ADDITIONAL COSTS</td></tr>
						<tr>
							<td align="center" width="500">Product</td>
							<td align="center" width="200">Price</td>
						</tr>
					</thead>
					<tbody class="data">
					<?PHP
					$sql = "SELECT pc_id, pdxn_desc, pdxn_cost FROM pdxn_costs WHERE pdxn_id = '$pdxn_id' ORDER BY pc_id";
					$res3 = mysql_query($sql);
						$i = 1;
						while ($row3 = mysql_fetch_array($res3)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
							?>
								
								<td align="left"><?PHP echo $row3[1] ?></td>
								<td align="right"><?PHP echo number_format($row3[2], 2) ?></td>
							</tr>
							<?PHP
							$i++;
						}
						$sql = "SELECT SUM(pdxn_cost) FROM pdxn_costs WHERE pdxn_id = '$pdxn_id'";
						$tres = mysql_query($sql);
						$trow = mysql_fetch_array($tres);
					?>
						<tr class="total">
							<td align="right"><b>Line Totals</b></td>
							<td align="right"><b><?PHP echo number_format($trow[0], 2) ?></b></td>
						</tr>
						<tr class="odd"><td align="center" colspan="2">
							<input type="hidden" name="submitted" value="1">
							<input type="hidden" name="token" value="<?PHP echo $token ?>">
							<input type="hidden" name="pdxn_id" value="<?PHP echo $pdxn_id ?>">
							<input type="submit" class="button blue" value="Confirm Production"></td></tr>
					</tbody>
				</table>
			</div>
        <p class="meta"></p>
		</div>
	</form>
	<?PHP
}

?>