<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Warehouses\' Good Inventory');
define('NAV', 3); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {

	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();

		// contents here
		if ($_POST['field'] != "") {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$field = htmlentities(mysql_real_escape_string(stripslashes($_POST['field'])));
			} else {
				$field = htmlentities(mysql_real_escape_string($_POST['field']));
			}
		} else {
			$field = $_GET['field'];
			$page = $_GET['page'];
		}
		show_inventory($field, $page);

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_inventory($field, $page) {
	// If current page number, use it if not, set one!
	if(!isset($_GET['page'])){ $page = 1; } 
	else { $page = $_GET['page']; } 

	// Define the number of results per page
	$max_results = 30;

	// Figure out the limit for the query based  on the current page number.
	$from = (($page * $max_results) - $max_results);

	// Make links to click in order for  user to sort by whichever column
	$allowed = array('p.product_name');
	$sortby = (in_array($_GET['sortby'], $allowed)) ? $_GET['sortby'] : 'p.product_name';

	if ($field == "") {
		// build and run the sql query
		$sql = "SELECT p.product_id, p.product_num, p.product_name
				FROM products p INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id 
				WHERE p.active = 1
				ORDER BY $sortby LIMIT $from, $max_results"; 
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT product_id FROM products WHERE active = 1";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	} else {
		// build and run the sql query
		$sql = "SELECT p.product_id, p.product_num, p.product_name
				FROM products p INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id 
				WHERE p.active = 1 AND (p.product_name LIKE '%$field%' OR m.manufacturer_name LIKE '%$field%')
				ORDER BY $sortby LIMIT $from, $max_results"; 
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT p.product_id
				FROM products p INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id 
				WHERE p.active = 1 AND (p.product_name LIKE '%$field%' OR m.manufacturer_name LIKE '%$field%')";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	}

	// Figure out the total number of pages we will have
	$total_pages = ceil($total_results / $max_results);

	// Figure out the current page result numbers
	$fr = $from + 1;
	$to = $from + $num;

	// show the table and data
	?>
	<div class="post">
		<div id="search">
			<a id="icon2" class="th_img" href="print_inventory.php?field=<?PHP echo $field ?>" target="new"><img src="lib/b_print.png"></a>
			<form method="POST" action="inventory_good.php">
				<input id="sbox" type="text" name="field">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class="title">Consolidated Good Inventory</h1>
		<div class="entry">
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
			<table>
				<thead class="data">
					<tr>
						<td rowspan="2" width="50" align="center">Code</td>
						<td rowspan="2" width="200" align="center">Product</td>
						<?PHP
							$width = 450;
							$sql = "SELECT whouse_name FROM warehouses ORDER BY whouse_id";
							$wres = mysql_query($sql); $wnum = mysql_num_rows($wres); $new_width = $width / ($wnum + 1); 
							while ($wrow = mysql_fetch_array($wres)) {
								?><td colspan="2" width="<?PHP echo $new_width ?>" align="center"><?PHP echo $wrow[0] ?></td><?PHP
							}
						?>
						<td colspan="2" width="<?PHP echo $new_width ?>" align="center">Total</td>
					</tr>
					<tr>
						<?PHP
						$sql = "SELECT whouse_name FROM warehouses ORDER BY whouse_id";
						$wres2 = mysql_query($sql); 
						$qty_width = $new_width * 0.40; $net_width = $new_width * 0.60; 
						while ($wrow2 = mysql_fetch_array($wres2)) {
							?>
							<td align="center" width="<?PHP echo $qty_width ?>">Qty</td>
							<td align="center" width="<?PHP echo $net_width ?>">Value</td>
							<?PHP
						}
						?>
						<td align="center" width="<?PHP echo $qty_width ?>">Qty</td>
						<td align="center" width="<?PHP echo $net_width ?>">Value</td>
					</tr>
				</thead>
				<tbody class="data">
					<?PHP
					if ($num > 0) {
						$i = 1; 
						while ($row = mysql_fetch_array($res)) {
							$tqty = 0; $tnet = 0; 
							
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
							?>
								<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
								<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row[0] ?>"><?PHP echo $row[2] ?></a></td>
								<?PHP
								$sql = "SELECT whouse_id FROM warehouses ORDER BY whouse_id";
								$whouse_res = mysql_query($sql); 
								while ($whouse_row = mysql_fetch_array($whouse_res)) {
									// get the sum of purchases
									$sql = "SELECT SUM(pd.quantity)
											FROM purchases p INNER JOIN purchase_details pd ON p.purchase_id = pd.purchase_id
											WHERE p.whouse_id = '$whouse_row[0]' AND pd.product_id = '$row[0]' AND p.direct_delivery = 0 AND p.user2_id != 0"; 
									$tpur_res = mysql_query($sql); $tpur_row = mysql_fetch_array($tpur_res);  
									// get the sum of incoming transfers
									$sql = "SELECT SUM(td.quantity)
											FROM transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id
											WHERE t.to_whouse_id = '$whouse_row[0]' AND td.product_id = '$row[0]' AND t.user2_id != 0"; 
									$tit_res = mysql_query($sql); $tit_row = mysql_fetch_array($tit_res);  
									// get the sum of returns from customers
									$sql = "SELECT SUM(rd.quantity)
											FROM returns_customers r INNER JOIN rc_details rd ON r.rc_id = rd.rc_id
											WHERE r.whouse_id = '$whouse_row[0]' AND rd.product_id = '$row[0]' AND rd.rtype = 1"; 
									$giret_res = mysql_query($sql); $giret_row = mysql_fetch_array($giret_res);  
									// get the sum of conversions
									$sql = "SELECT SUM(to_units) FROM conversions WHERE whouse_id = '$whouse_row[0]' AND to_product_id = '$row[0]'"; 
									$rcon_res = mysql_query($sql); $rcon_row = mysql_fetch_array($rcon_res); 

									// get the sum of sales
									$sql = "SELECT SUM(sd.quantity)
											FROM sales s INNER JOIN sale_details sd ON s.sale_id = sd.sale_id
											WHERE sd.product_id = '$row[0]' AND s.whouse_id = '$whouse_row[0]' AND s.purchase_id = 0";
									$tsale_res = mysql_query($sql); $tsale_row = mysql_fetch_array($tsale_res); 
									// get the sum of outgoing transfers
									$sql = "SELECT SUM(td.quantity)
											FROM transfers t INNER JOIN transfer_details td ON t.trans_id = td.trans_id
											WHERE t.fr_whouse_id = '$whouse_row[0]' AND td.product_id = '$row[0]'"; 
									$tot_res = mysql_query($sql); $tot_row = mysql_fetch_array($tot_res); 
									// get the sum of good returns to suppliers
									$sql = "SELECT SUM(rd.quantity)
											FROM returns_suppliers r INNER JOIN rs_details rd ON r.rs_id = rd.rs_id
											WHERE r.whouse_id = '$whouse_row[0]' AND rd.product_id = '$row[0]' AND rd.rtype = 1"; 
									$goret_res = mysql_query($sql); $goret_row = mysql_fetch_array($goret_res); 
									// get the sum of loss
									$sql = "SELECT SUM(wl.quantity)
											FROM warehouse_losses l INNER JOIN wl_details wl ON l.wl_id = wl.wl_id
											WHERE l.whouse_id = '$whouse_row[0]' AND wl.product_id = '$row[0]'"; 
									$gl_res = mysql_query($sql); $gl_row = mysql_fetch_array($gl_res); 
									// get the sum of conversions
									$sql = "SELECT SUM(fr_units) FROM conversions WHERE whouse_id = '$whouse_row[0]' AND fr_product_id = '$row[0]'"; 
									$wcon_res = mysql_query($sql); $wcon_row = mysql_fetch_array($wcon_res); 
									
									$good = ($tpur_row[0] + $tit_row[0] + $giret_row[0] + $rcon_row[0]) - ($tsale_row[0] + $tot_row[0] + $goret_row[0] + $gl_row[0] + $wcon_row[0]);
									
									mysql_free_result($tpur_res); mysql_free_result($tit_res); mysql_free_result($giret_res); mysql_free_result($tsale_res);
									mysql_free_result($tot_res); mysql_free_result($goret_res); mysql_free_result($gl_res); mysql_free_result($wcon_res); mysql_free_result($rcon_res);
								
									$sql = "UPDATE warehouse_products SET inventory = '$good' 
											WHERE whouse_id = '$whouse_row[0]' AND product_id = '$row[0]' LIMIT 1";
									mysql_query($sql) or die(mysql_error()); 
									
									?>
									<td align="right"><?PHP echo number_format($good, 2); ?></td>
									<td align="right"><?PHP 
										$sql = "SELECT ave_acq FROM warehouse_products 
												WHERE product_id = '$row[0]' AND whouse_id = '$whouse_row[0]'";
										$pres = mysql_query($sql); $prow = mysql_fetch_array($pres);
										$gvalue = $prow[0] * $good;
										echo number_format($gvalue, 2) 
										?></td>
									<?PHP
									$tqty = $tqty + $good; $tnet = $tnet + $gvalue;
								}
								?>
								<td align="right"><?PHP echo number_format($tqty, 2) ?></td>
								<td align="right"><?PHP echo number_format($tnet, 2) ?></td>
							</tr>
							<?PHP
							$i++;
						}
					} else {
						?>
						<tr>
							<td align="center" colspan="8">There are NO existing records of product inventory levels</td>
						</tr>
						<?PHP				
					}
					?>
				</tbody>
			</table>
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
		</div>
		<p class="meta"></p>
	</div>
	<?PHP
	mysql_free_result($res);
	mysql_free_result($tres);
}


?>