<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Loan Payments');
define('NAV', 1); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();

		if ($_POST['field'] != "") {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$field = htmlentities(mysql_real_escape_string(stripslashes($_POST['field'])));
			} else {
				$field = htmlentities(mysql_real_escape_string($_POST['field']));
			}
		} else {
			$field = $_GET['field'];
			$page = $_GET['page'];
		}
		show_loan_payments($field, $page);

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_loan_payments($field, $page) {
	// If current page number, use it if not, set one!
	if(!isset($_GET['page'])){ $page = 1; } 
	else { $page = $_GET['page']; } 

	// Define the number of results per page
	$max_results = 30;

	// Figure out the limit for the query based  on the current page number.
	$from = (($page * $max_results) - $max_results);

	// Make links to click in order for  user to sort by whichever column
	$allowed = array('p.lp_date DESC, u.fname');
	$sortby = (in_array($_GET['sortby'], $allowed)) ? $_GET['sortby'] : 'p.lp_date DESC, u.fname';

	if ($field == "") {
		// build and run the sql query
		$sql = "SELECT p.lp_id, DATE_FORMAT(p.lp_date, '%b %e, %Y'), p.loan_id, CONCAT(u.fname,' ',u.lname), p.amount, p.notes, p.encoder
				FROM loan_payments p 
					INNER JOIN loans l ON p.loan_id = l.loan_id
					INNER JOIN users u ON l.user_id = u.user_id
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT lp_id FROM loan_payments";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	} else {
		// build and run the sql query
		$sql = "SELECT p.lp_id, DATE_FORMAT(p.lp_date, '%b %e, %Y'), p.loan_id, CONCAT(u.fname,' ',u.lname), p.amount, p.notes, p.encoder
				FROM loan_payments p 
					INNER JOIN loans l ON p.loan_id = l.loan_id
					INNER JOIN users u ON l.user_id = u.user_id
				WHERE u.lname LIKE '%$field%' OR u.fname LIKE '%$field%'
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT p.lp_id
				FROM loan_payments p 
					INNER JOIN loans l ON p.loan_id = l.loan_id
					INNER JOIN users u ON l.user_id = u.user_id
				WHERE u.lname LIKE '%$field%' OR u.fname LIKE '%$field%'";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	}

	// Figure out the total number of pages we will have
	$total_pages = ceil($total_results / $max_results);

	// Figure out the current page result numbers
	$fr = $from + 1;
	$to = $from + $num;

	// show the table and data
	?>
	<div class="post">
		<div id="search">
			<a id="icon2" class="th_img" href="add_lp.php"><img src="lib/file_add.png" width="16" height="16"></a>
			<form method="POST" action="loan_payments.php">
				<input id="sbox" type="text" name="field">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class="title">Employees' Payments To Cash Advances</h1>
		<div class="entry">
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
			<table>
				<thead class="data">
					<tr>
						<td width="80" align="center">Date</td>
						<td width="80" align="center">Loan #</td>
						<td width="150" align="center">Employee</td>
						<td width="200" align="center">Notes</td>
						<td width="80" align="center">Encoder</td>
						<td width="80" align="center">Amount</td>
						<td width="30" align="center"></td>
					</tr>
				</thead>
				<tbody class="data">
					<?PHP
					if ($num > 0) {
						$i = 1; 
						while ($row = mysql_fetch_array($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
							?>
								<td align="center"><?PHP echo $row[1] ?></td>
								<td align="center"><?PHP echo $row[2] ?></td>
								<td align="left"><?PHP echo $row[3] ?></td>
								<td align="left"><?PHP echo $row[5] ?></td>
								<td align="left"><?PHP 
									$sql = "SELECT fname FROM users WHERE user_id = '$row[6]'";
									$eres = mysql_query($sql); $erow = mysql_fetch_array($eres); echo $erow[0]; 
									?></td>
								<td align="right"><?PHP echo number_format($row[4], 2) ?></td>
								<td align="center"><a class="<?PHP if ($m == 0) echo "td_img_even"; else echo "td_img"; ?>" href="d_lp.php?lp_id=<?PHP echo $row[0] ?>"><img src='lib/file_delete.png'></a></td>
							</tr>
							<?PHP
							$i++;
						}
					} else {
						?>
						<tr>
							<td align="center" colspan="7">There are NO existing records of employees' payments to cash advances</td>
						</tr>
						<?PHP				
					}
					?>
				</tbody>
			</table>
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
		</div>
		<p class="meta"></p>
	</div>
	<?PHP
}
?>