<?PHP
ini_set('display_errors', 1);
error_reporting(E_ALL & ~E_NOTICE);

include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Products');
define('NAV', 2); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin

session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_user() == true) {
		print_header(TITLE);
		print_navs();

		// contents here
		if ($_POST['field'] != "") {
			// Reverse magic_quotes_gpc/magic_quotes_sybase effects on those vars if ON.
			if(get_magic_quotes_gpc()) {
				$field = htmlentities(mysql_real_escape_string(stripslashes($_POST['field'])));
			} else {
				$field = htmlentities(mysql_real_escape_string($_POST['field']));
			}
			$branch_id = $_GET['branch_id'];
		} else {
			$branch_id = $_GET['branch_id'];
			$field = $_GET['field'];
			$page = $_GET['page'];
		}
		show_products($branch_id, $field, $page);

		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function show_products($branch_id, $field, $page) {
	// get the name of the branch
	$sql = "SELECT branch_name FROM branches WHERE branch_id = '$branch_id'"; 
	$bres = mysql_query($sql); $brow = mysql_fetch_array($bres); $branch_name = $brow[0];

	// to get the position of the user
	$sql = "SELECT position FROM users WHERE user_id = '$_SESSION[user_id]'"; 
	$pres = mysql_query($sql) or die(mysql_error()); $prow = mysql_fetch_array($pres); $position = $prow[0];

	// If current page number, use it if not, set one!
	if(!isset($_GET['page'])){ $page = 1; } 
	else { $page = $_GET['page']; } 

	// Define the number of results per page
	$max_results = 30;

	// Figure out the limit for the query based  on the current page number.
	$from = (($page * $max_results) - $max_results);

	// Make links to click in order for  user to sort by whichever column
	$allowed = array('p.product_num', 'p.product_name, p.product_num');
	$sortby = (in_array($_GET['sortby'], $allowed)) ? $_GET['sortby'] : 'p.product_name, p.product_num';

	if ($field == "") {
		// build and run the sql query
		$sql = "SELECT p.product_id, p.product_num, p.product_name, c.category_name, 
					m.manufacturer_name, p.active, bp.ave_acq, bp.price, bp.bp_id
				FROM products p 
					INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id
					INNER JOIN categories c ON p.category_id = c.category_id
					INNER JOIN branch_products bp ON bp.product_id = p.product_id
				WHERE p.active = 1 AND bp.branch_id = '$branch_id'
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT product_id FROM products WHERE active = 1";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	} else {
		$sql = "SELECT p.product_id, p.product_num, p.product_name, c.category_name, 
					m.manufacturer_name, p.active, bp.ave_acq, bp.price, bp.bp_id
				FROM products p 
					INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id
					INNER JOIN categories c ON p.category_id = c.category_id
					INNER JOIN branch_products bp ON bp.product_id = p.product_id
				WHERE p.active = 1 AND bp.branch_id = '$branch_id' 
					AND (p.product_name LIKE '%$field%' OR p.product_num LIKE '%$field%' OR m.manufacturer_name LIKE '%$field%')
				ORDER BY $sortby LIMIT $from, $max_results";
		$res = mysql_query($sql) or die(mysql_error());
		$num = mysql_num_rows($res);

		// Figure out the total number of rows in table
		$sql = "SELECT p.product_id
				FROM products p 
					INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id
					INNER JOIN categories c ON p.category_id = c.category_id
					INNER JOIN branch_products bp ON bp.product_id = p.product_id
				WHERE p.active = 1 AND bp.branch_id = '$branch_id' 
					AND (p.product_name LIKE '%$field%' OR p.product_num LIKE '%$field%' OR m.manufacturer_name LIKE '%$field%')";
		$tres = mysql_query($sql) or die(mysql_error());
		$total_results = mysql_num_rows($tres);
	}

	// Figure out the total number of pages we will have
	$total_pages = ceil($total_results / $max_results);

	// Figure out the current page result numbers
	$fr = $from + 1;
	$to = $from + $num;

	?>
	<div class="post">
		<div id="search">
			<form method="POST" action="pricings_active.php?branch_id=<?PHP echo $branch_id ?>">
				<input id="sbox" type="text" name="field">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class="title">ACTIVE Product Pricings - <?PHP echo $branch_name ?></h1>
		<div class="entry">
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
			<table>
				<thead class="data">
					<tr>
						<td width="50" align="center"><a class="thdata" href="<?PHP $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $page ?>&sortby=p.product_num">#</a></td>
						<td width="200" align="center"><a class="thdata" href="<?PHP $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $page ?>&sortby=p.product_name">Product Name</a></td>
						<td width="80" align="center">Category</td>
						<td width="150" align="center">Manufacturer</td>
						<td width="50" align="center">Active</td>
						<td width="70" align="center">Capital</td>
						<td width="70" align="center">Price</td>
						<td width="30" align="center"></td>
					</tr>
				</thead>
				<tbody class="data">
					<?PHP
					if ($num > 0) {
						$i = 1; 
						while ($row = mysql_fetch_array($res)) {
							$m = fmod($i, 2);
							if ($m == 0) { // $i is EVEN
								?><tr class="even"><?PHP
							} else { // $i is ODD
								?><tr class="odd"><?PHP
							}
							?>
								<td align="center"><a class="tddata" href="product.php?product_id=<?PHP echo $row[0] ?>"><?PHP echo $row[1] ?></a></td>
								<td align="left"><a class="tddata" href="product.php?product_id=<?PHP echo $row[0] ?>"><?PHP echo $row[2] ?></a></td>
								<td align="left"><?PHP echo $row[3] ?></td>
								<td align="left"><?PHP echo $row[4] ?></td>
								<td align="center"><?PHP if ($row[5] == 1) echo "Yes"; else echo "<i>No</i>"; ?></td>
								<td align="right"><?PHP echo number_format($row[6], 2); ?></td>
								<td align="right"><?PHP echo number_format($row[7], 2); ?></td>
								<td align="center">
									<?PHP
									if ($position == 1 || $position == 3) {
										?><a class="<?PHP if ($m == 0) echo "td_img_even"; else echo "td_img"; ?>" href="e_price.php?bp_id=<?PHP echo $row[8] ?>"><img src="lib/file_edit.png"></a><?PHP
									}
									?>
								</td>
							</tr>
							<?PHP
							$i++;
						}
					} else {
						?>
						<tr>
							<td align="center" colspan="8">There are NO existing records of products</td>
						</tr>
						<?PHP				
					}
					?>
				</tbody>
			</table>
			<?PHP
				if ($num > 0) {
				?>
					<table width="95%">
						<tr>
							<td align="left">
								&nbsp;<font size="1"><b><?PHP echo $fr ?></b> to <b><?PHP echo $to ?></b> of <b><?PHP echo number_format($total_results, 0) ?></b> results <?php echo $field != '' ? 'with keyword "<b>'.$field.'</b>"' : '' ?></font>
							</td>
							<td align="right">
								<?PHP
								if ($field == "") {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=1&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $prev ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $i ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $next ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $total_pages ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								} else {
									/***** start of pagination *******/
									// Build First and Prev links. If on page 1, we won't make links
									if($page > 1) {
										$prev = ($page - 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=1&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/first.png"></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $prev ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src="lib/prev.png"></a>&nbsp;&nbsp;<?PHP
									} // end if
				
									// build the links to the previous 4 and next 4 pages
									for($i = ($page - 4); $i <= ($page + 4); $i++) {
										// only make a link if the prev/next is a valid page number
										if (($i >= 1) && ($i <= $total_pages)) {
											if ($page == $i) {
												?><font face="arial" size="2" color="#000"><b><?PHP echo $i ?></b></font>&nbsp;&nbsp;<?PHP
											} else {
												?><a class="paging" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $i ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><?PHP echo $i ?></a>&nbsp;&nbsp;<?PHP
											}
										} // end if
									} // end for
									
									// Build Next and Last links. If on last page, we won't make a links
									if($page < $total_pages) {
										$next = ($page + 1);
										?><a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $next ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/next.png'></a>&nbsp;&nbsp;<a class="page_img" href="<?PHP echo $_SERVER['PHP_SELF'] ?>?branch_id=<?PHP echo $branch_id ?>&page=<?PHP echo $total_pages ?>&field=<?PHP echo $field ?>&sortby=<?PHP echo $sortby ?>"><img src='lib/last.png'></a>&nbsp;&nbsp;<?PHP
									} // end if
									/***** end of pagination ******/
								}
								?>           
							</td>
						</tr>
					</table>
				<?PHP
				}
			?>
		</div>
		<p class="meta"></p>
	</div>
	<?PHP
}


?>