<?php
ini_set('display_errors', 1);
ini_set('max_execution_time', 0);
error_reporting(E_ALL & ~E_NOTICE);
include("fxns.php");
define('TITLE', 'Avanzare Business Solutions - Overall Branch Report');
define('NAV', 5); // 1 if home; 2 if product info; 3 if inventory; 4 if finance; 5 if reports; 6 if admin
val_qry('branch_id', 'branches');
session_start();

if(isset($_SESSION['user_id'])) {
	if (validate_123() == true) {
		print_header(TITLE);
		print_navs();
		post();
		print_footer();
	}
}
else {
	header('Location: login.php');	
}

function post(){
	$branch_id = _GET_POST($_GET[branch_id]);
	$branch_name = sql_fld('branch_name', 'branches', 'branch_id=\''.$branch_id.'\'');
	if(isset($_POST['submitted'])) {
		$month = _GET_POST($_POST[month]);
		$year = _GET_POST($_POST[year]);
		$monthname = sql_dte('MONTHNAME(\''.$year.'-'.$month.'-01\')');
	} else {
		$month = date_format(date_create(sql_curdate()), 'n');
		$year = date_format(date_create(sql_curdate()), 'Y');
		$monthname = date_format(date_create(sql_curdate()), 'F');
	} ?>
	<div id="table2export" class="post">
		<div id="search">
			<input id="export" type="button" class="button blue" value="Export" style="position: relative; float: left; margin-top: 5px; padding: 5px; background-color: #000040">
			<form method="post" action="rpt_branch_all.php?branch_id=<?PHP echo $branch_id ?>">
				<?PHP show_drop_ym($year, $month); ?>
				<input type="hidden" name="submitted" value="1">
				<input id="sbutton" type="submit" class="button blue" value="Go!">
			</form>
		</div>
		<h1 class="title"><?PHP echo $branch_name ?> Over-All Reports - <?PHP echo "$monthname, $year"; ?></h1>
		<div class="index_entry">
			<ol id="toc">
				<li><a href="#page-1"><span>Income Statement</span></a></li>
				<li><a href="#page-2"><span>Balance Sheet</span></a></li>
				<li><a href="#page-3"><span>Cash Flow</span></a></li>
				<li><a href="#page-4"><span>Purchases</span></a></li>
				<li><a href="#page-5"><span>Sales</span></a></li>
				<li><a href="#page-6"><span>Expenses</span></a></li>
			</ol>
			<div class="content" id="page-1"><?php
				$gross_profit = sql_fld('SUM(revenue)', 'branch_sales', 'branch_id=\''.$branch_id.'\' AND MONTH(delivery_date)=\''.$month.'\' AND YEAR(delivery_date)=\''.$year.'\'');
				$branch_expense_rec = sql_qry("SELECT et.extype_name, SUM(e.amount) AS amount FROM branch_expenses e INNER JOIN expense_types et ON e.extype_id = et.extype_id WHERE e.branch_id = '$branch_id' AND MONTH(e.edate) = '$month' AND YEAR(e.edate) = '$year'	GROUP BY et.extype_name	ORDER BY et.extype_name");
				$total_branch_expense = sql_fld('SUM(amount)', 'branch_expenses', 'branch_id=\''.$branch_id.'\' AND MONTH(edate)=\''.$month.'\' AND YEAR(edate)=\''.$year.'\'');
				$branch_tax_rec = sql_qry("SELECT tt.taxtype_name, SUM(t.amount) AS amount FROM branch_taxes t INNER JOIN tax_types tt ON t.taxtype_id = tt.taxtype_id WHERE t.branch_id = '$branch_id' AND MONTH(t.tdate) = '$month' AND YEAR(t.tdate) = '$year' GROUP BY tt.taxtype_name ORDER BY tt.taxtype_name");
				$total_branch_taxes = sql_fld('SUM(amount)', 'branch_taxes', 'branch_id=\''.$branch_id.'\' AND MONTH(tdate)=\''.$month.'\' AND YEAR(tdate)=\''.$year.'\'');
				$net_income = $gross_profit - ($total_branch_expense + $total_branch_taxes);
				$total_unrealized_profit = sql_fld('SUM((balance / line_total) * revenue)', 'branch_sales', 'branch_id=\''.$branch_id.'\' AND deleted=0');
				$unrealized_profit_this_period = sql_fld('SUM((balance / line_total) * revenue)', 'branch_sales', 'branch_id=\''.$branch_id.'\' AND MONTH(delivery_date)=\''.$month.'\' AND YEAR(delivery_date)=\''.$year.'\'');
				$realized_profit_previous_periods = sql_fld('SUM((c.amount / s.line_total) * s.revenue)', 'branch_sales s INNER JOIN bspayments c ON s.sale_id = c.sale_id', 's.branch_id=\''.$branch_id.'\' AND c.good=1 AND s.delivery_date <= (STR_TO_DATE(\''.$year.'-'.$month.'-1\', \'%Y-%m-%d\') - INTERVAL 1 DAY)');
				$realized_profit_current_period = sql_fld('SUM((c.amount / s.line_total) * s.revenue)', 'branch_sales s INNER JOIN bspayments c ON s.sale_id = c.sale_id', 's.branch_id=\''.$branch_id.'\' AND c.good=1 AND MONTH(s.delivery_date)=\''.$month.'\' AND YEAR(s.delivery_date)=\''.$year.'\'');
				$date = '(STR_TO_DATE(\''.($month==12?($year+1).'-1':$year.'-'.($month+1)).'-1\', \'%Y-%m-%d\') - INTERVAL 1 DAY)';
				$total_realized_profit = sql_fld('SUM((c.amount / s.line_total) * s.revenue)', 'branch_sales s INNER JOIN bspayments c ON s.sale_id = c.sale_id', 's.branch_id=\''.$branch_id.'\' AND c.good=1 AND s.delivery_date <= '.$date); ?>
				<br>
				<table>
					<thead class="data">
						<tr height="20px">
							<td colspan="2" align="center"><b>INCOME STATEMENT for <?php echo $monthname.', '.$year ?></b></b></td>
						</tr>
					</thead>
					<tbody class="data">
						<tr class="odd">
							<td width="250px" align="right"><b>GROSS PROFIT</b></td>
							<td width="250px" align="right"><b><?php echo number_format($gross_profit, 2) ?></b></td>
						</tr>
						<tr class="even">
							<td align="right">Operation Expenses</td>
							<td align="right"><?php
							while ($branch_expense_roe = mysql_fetch_assoc($branch_expense_rec)){
								echo $branch_expense_roe[extype_name].'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;--&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.number_format($branch_expense_roe[amount], 2).'<br>';
							} ?>
							</td>
						</tr>
						<tr class="odd">
							<td align="right"><b>TOTAL EXPENSES</b></td>
							<td align="right"><b><?php echo number_format($total_branch_expense, 2) ?></b></td>
						</tr>
						<tr class="even">
							<td align="right">Taxes</td>
							<td align="right"><?php  
							while ($branch_tax_roe = mysql_fetch_assoc($branch_tax_rec)){
								echo $branch_tax_roe[taxtype_name].'&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;--&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.number_format($branch_tax_roe[amount], 2).'<br>';
							} ?>	
							</td>
						</tr>
						<tr class="odd">
							<td align="right"><b>TOTAL TAXES</b></td>
							<td align="right"><b><?php echo number_format($total_branch_taxes, 2) ?></b></td>
						</tr>
						<tr class="even">
							<td align="right"><b>NET INCOME</b></td>
							<td align="right"><b><?php echo number_format($net_income, 2) ?></b></td>
						</tr>
						<tr class="total">
							<td>&nbsp;</td>
							<td>&nbsp;</td>
						</tr>
						<tr class="total">
							<td>&nbsp;</td>
							<td>&nbsp;</td>
						</tr>
						<tr class="even">
							<td align="right"><i>Total Unrealized Profit</i></td>
							<td align="right"><?php echo number_format($total_unrealized_profit, 2) ?></td>
						</tr>
						<tr class="odd">
							<td align="right"><i>Unrealized Profit From Current Period</i></td>
							<td align="right"><?php echo number_format($unrealized_profit_this_period, 2) ?></td>
						</tr>
						<tr class="even">
							<td align="right"><i>Total Realized Profit From Previous Months</i></td>
							<td align="right"><?php echo number_format($realized_profit_previous_periods, 2) ?></td>
						</tr>
						<tr class="odd">
							<td align="right"><i>Realized Profit From Current Period</i></td>
							<td align="right"><?php echo number_format($realized_profit_current_period, 2) ?></td>
						</tr>
						<tr class="even">
							<td align="right"><b><i>Total Realized Profit</i></b></td>
							<td align="right"><?php echo number_format($total_realized_profit, 2) ?></td>
						</tr>
						<tr>
							<td></td>
							<td></td>
						</tr>
						<tr>
							<td></td>
							<td></td>
						</tr>
					</tbody>
				</table>
				<br>
			</div>
			<div class="content" id="page-2"><?php 
				$sales_collect = sql_fld('SUM(balance)', 'branch_sales', 'branch_id=\''.$branch_id.'\' AND deleted=\'0\' AND MONTH(delivery_date)=\''.$month.'\' AND YEAR(delivery_date)=\''.$year.'\'');
				$cob_collect = sql_fld('SUM(balance)', 'branch_cob cob INNER JOIN branch_customers bc ON cob.customer_id=bc.customer_id', 'bc.branch_id=\''.$branch_id.'\'');
				//coh count start
				$anchor_amount = sql_fld('SUM(anchor_amount)', 'branch_ptcash_virtual_adjustment', 'branch_id=\''.$branch_id.'\' AND adjustment_date<='.$date);
				$cob_payment = sql_fld('SUM(b.amount)', 'bspayments b INNER JOIN branch_customers bc ON b.customer_id = bc.customer_id', 'b.sale_id = 0 AND bc.branch_id=\''.$branch_id.'\' AND b.pdate<='.$date);
				$s_sale_payments = sql_fld('SUM(amount)', 'bspayments bp INNER JOIN branch_sales bs ON bp.sale_id = bs.sale_id', 'bs.branch_id=\''.$branch_id.'\' AND bp.pdate<='.$date.' AND bp.deleted=\'0\'');
				$s_expense = sql_fld('SUM(amount)', 'branch_expenses', 'branch_id=\''.$branch_id.'\' AND edate<='.$date);
				$s_remit = sql_fld('SUM(amount)', 'branch_remittances', 'br_date<='.$date.' AND branch_id=\''.$branch_id.'\'');
				//coh count end
				$coh= ($anchor_amount + $cob_payment + $s_sale_payments) - ($s_expense + $s_remit);
				$inv_values = sql_fld('SUM(bp.inventory*bp.ave_acq)', 'branch_products bp INNER JOIN products p ON bp.product_id=p.product_id', 'bp.branch_id=\''.$branch_id.'\' AND p.active = 1');
				$liabilities = sql_fld('SUM(balance)', 'branch_purchases', 'branch_id=\''.$branch_id.'\''); ?>
				<br>
				<table>
					<thead class="data">
						<tr height="20px">
							<td colspan="3" align="center"><b>Balance Sheet for <?php echo $monthname.', '.$year ?></b></td>
						</tr>
					</thead>
					<tbody class="data">
						<tr class="odd">
							<td rowspan="5" align="right" valign="top" width="75px">Assets</td>
							<td align="right" width="300px"><b>UPDATED CASH ON HAND THIS MONTH ---->></b></td>
							<td align="right"><b><?php echo number_format($coh, 2) ?></b></td>
						</tr>
						<tr class="even">
							<td align="right">Collectibles from Sales ---->></td>
							<td align="right"><?php echo number_format($sales_collect, 2) ?></td>
						</tr>
						<tr class="odd">
							<td align="right">Collectibles from Old Balances ---->></td>
							<td align="right"><?php echo number_format($cob_collect, 2) ?></td>
						</tr>
						<tr class="even">
							<td align="right"><b>TOTAL COLLECTIBLES ---->></b></td>
							<td align="right"><b><?php echo number_format(($sales_collect+$cob_collect), 2) ?></b></td>
						</tr>
						<tr class="odd">
							<td align="right"><b>INVENTORY VALUES ---->></b></td>
							<td align="right"><b><?php echo number_format($inv_values, 2) ?></b></td>
						</tr>
						<tr class="even">
							<td align="right">Total Assets</td>
							<td align="right" colspan="2"><b><?php 
							$branch_assets = sql_fld('SUM(amount)', 'branch_assets', 'branch_id=\''.$branch_id.'\'') + $cob_collect + $sales_collect + $coh + $inv_values;
							echo number_format($branch_assets, 2); ?>
							</b></td>
						</tr>
						<tr class="odd">
							<td align="right">Liabilities</td>
							<td align="right" colspan="2"><b><?php echo number_format($liabilities, 2) ?></b></td>
						</tr>
						<tr class="even">
							<td align="right">Equity</td>
							<td align="right" colspan="2"><b><?php echo number_format(($branch_assets - $branch_registers) - $liabilities, 2) ?></b></td>
						</tr>
						<tr>
							<td></td>
							<td></td>
						</tr>
						<tr>
							<td></td>
							<td></td>
						</tr>
					</tbody>
				</table>
				<br>
			</div>
			<div class="content" id="page-3"><?php
				$customer_id = sql_fld('customer_id', 'customer_branches', 'branch_id=\''.$branch_id.'\'');
				$sales_current_period = sql_fld('SUM(s.line_total)', 'branch_sales s INNER JOIN branch_customers c ON s.customer_id = c.customer_id', 's.branch_id=\''.$branch_id.'\' AND  MONTH(s.delivery_date)=\''.$month.'\' AND YEAR(s.delivery_date)=\''.$year.'\' AND c.company_name NOT LIKE \'%Virtual%\'');
				$purchase_current_period = sql_fld('SUM(line_total)', 'branch_purchases', 'branch_id=\''.$branch_id.'\' AND  MONTH(delivery_date)=\''.$month.'\' AND YEAR(delivery_date)=\''.$year.'\'');
				$walk_in_sale_payments_current_period = sql_fld('SUM(bp.amount)', 'branch_sales bs INNER JOIN branch_customers bc ON bs.customer_id = bc.customer_id INNER JOIN bspayments bp ON bs.sale_id = bp.sale_id', 'bs.branch_id=\''.$branch_id.'\' AND bc.company_name LIKE \'%walk%\' AND MONTH(bp.pdate)=\''.$month.'\' AND YEAR(bp.pdate)=\''.$year.'\'');
				$credit_sale_payments_current_period = sql_fld('SUM(bp.amount)', 'branch_sales bs INNER JOIN branch_customers bc ON bs.customer_id = bc.customer_id INNER JOIN bspayments bp ON bs.sale_id = bp.sale_id', 'bs.branch_id=\''.$branch_id.'\' AND bc.company_name NOT LIKE \'%walk%\' AND MONTH(bp.pdate)=\''.$month.'\' AND YEAR(bp.pdate)=\''.$year.'\'');
				$b_customer_id = sql_fld('customer_id', 'customer_branches', 'branch_id=\''.$branch_id.'\'');
				$purchase_payments = sql_fld('SUM(amount)', 'cpayments', 'customer_id=\''.$customer_id.'\' AND MONTH(pdate)=\''.$month.'\' AND YEAR(pdate)=\''.$year.'\'');
				$cob_payment_current_period = sql_fld('SUM(b.amount)', 'bspayments b INNER JOIN branch_customers bc ON b.customer_id = bc.customer_id', 'b.sale_id = 0 AND bc.branch_id=\''.$branch_id.'\' AND MONTH(b.pdate)=\''.$month.'\' AND YEAR(b.pdate)=\''.$year.'\''); ?>
				<br>
				<table>
					<thead class="data">
						<tr height="20px" align="center">
							<td colspan="4"><b>TRANSACTIONS</b></td>
						</tr>
					</thead>
					<tbody class="data">
						<tr class="odd" height="20px" align="right">
							<td width="175px">Sales:&nbsp;</td>
							<td width="175px"><?php echo number_format($sales_current_period, 2) ?></td>
							<td width="175px">Purchases:&nbsp;</td>
							<td width="175px"><?php echo number_format($purchase_current_period, 2) ?></td>
						</tr>
					</tbody>
				</table>
				<br>
				<table>
					<thead class="data">
						<tr height="20px" align="center">
							<td colspan="2">CASH INS</td>
							<td colspan="2">CASH OUTS</td>
						</tr>
					</thead>
					<tbody class="data">
						<tr class="odd" height="20px" align="right">
							<td width="175px">Walk-In Sales Payments:&nbsp;</td>
							<td width="175px"><?php echo number_format($walk_in_sale_payments_current_period, 2) ?></td>
							<td width="175px">Payment to Supplier:&nbsp;</td>
							<td width="175px"><?php echo number_format($purchase_payments, 2) ?></td>
						</tr>
						<tr class="even" height="20px" align="right">
							<td>Credit Remittances:&nbsp;</td>
							<td><?php echo number_format($credit_sale_payments_current_period, 2) ?></td></td>
							<td>Expenses:&nbsp;</td>
							<td><?php echo number_format($total_branch_expense, 2) ?></td>
						</tr>
						<tr class="odd" height="20px" align="right">
							<td>Collections from Old Balances:&nbsp;</td>
							<td><?php echo number_format($cob_payment_current_period, 2) ?></td>
							<td>Taxes:&nbsp;</td>
							<td><?php echo number_format($total_branch_taxes, 2) ?></td>
						</tr>
						<tr class="total" height="20px" align="right">
							<td><b>Total Cash ins:&nbsp;</b></td>
							<td><?php echo number_format($walk_in_sale_payments_current_period+$credit_sale_payments_current_period+$cob_payment_current_period, 2) ?></td>
							<td><b>Total Cash outs:&nbsp;</b></td>
							<td><?php echo number_format($purchase_payments+$total_branch_expense+$total_branch_taxes, 2) ?></td>
						</tr>
						<tr>
							<td></td>
							<td></td>
						</tr>
						<tr>
							<td></td>
							<td></td>
						</tr>
					</tbody>
				</table>
				<br>
			</div>
			<div class="content" id="page-4"><?php
				$category_bpurchase_rec = sql_qry("SELECT c.category_name AS category, p.product_name AS product, SUM(bd.quantity) AS quantity FROM branch_purchases bp INNER JOIN bpurchase_details bd ON bp.purchase_id = bd.purchase_id INNER JOIN products p ON bd.product_id = p.product_id INNER JOIN categories c ON p.category_id = c.category_id WHERE bp.branch_id='$branch_id' AND MONTH(bp.delivery_date)='$month' AND YEAR(bp.delivery_date)='$year' GROUP BY bd.product_id ORDER BY category ASC, quantity DESC, product ASC");
				$category_bpurchase_total = sql_fld('SUM(bd.quantity)', 'branch_purchases bp INNER JOIN bpurchase_details bd ON bp.purchase_id = bd.purchase_id INNER JOIN products p ON bd.product_id = p.product_id INNER JOIN categories c ON p.category_id = c.category_id', 'bp.branch_id=\''.$branch_id.'\' AND MONTH(bp.delivery_date)=\''.$month.'\' AND YEAR(bp.delivery_date)=\''.$year.'\'');
				$manufacturer_bpurchase_rec = sql_qry("SELECT m.manufacturer_name AS manufacturer, p.product_name AS product, SUM(bd.quantity) AS quantity FROM branch_purchases bp INNER JOIN bpurchase_details bd ON bp.purchase_id = bd.purchase_id INNER JOIN products p ON bd.product_id = p.product_id INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id WHERE bp.branch_id='$branch_id' AND MONTH(bp.delivery_date)='$month' AND YEAR(bp.delivery_date)='$year' GROUP BY bd.product_id ORDER BY manufacturer ASC, quantity DESC, product ASC");
				$manufacturer_bpurchase_total = sql_fld('SUM(bd.quantity)', 'branch_purchases bp INNER JOIN bpurchase_details bd ON bp.purchase_id = bd.purchase_id INNER JOIN products p ON bd.product_id = p.product_id INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id', 'bp.branch_id=\''.$branch_id.'\' AND MONTH(bp.delivery_date)=\''.$month.'\' AND YEAR(bp.delivery_date)=\''.$year.'\'');
				$cat_pur_count = mysql_num_rows($category_bpurchase_rec);
				$man_pur_count = mysql_num_rows($manufacturer_bpurchase_rec); ?>
				<br>
				<table>
					<thead class="data">
						<tr height="20px" align="center">
							<td colspan="6"><b>Purchases</b></td>
						</tr>
						<tr height="20px" align="center">
							<td colspan="3"><b>Purchases by Category</b></td>
							<td colspan="3"><b>Purchases by Manufacturer</b></td>
						</tr>
						<tr height="20px" align="center">
							<td width="100px"><b>Category</b></td>
							<td width="200px"><b>Product</b></td>
							<td width="50px"><b>Qty</b></td>
							<td width="100px"><b>Manufacturer</b></td>
							<td width="200px"><b>Product</b></td>
							<td width="50px"><b>Qty</b></td>
						</tr>
					</thead>
					<tbody class="data"><?php $i=0;
					if ($cat_pur_count > $man_pur_count){
						while ($category_bpurchase_roe = mysql_fetch_assoc($category_bpurchase_rec)){ 
							$i++ ;?>
							<tr class="<?php echo $i%2==0?'even':'odd' ?>">
								<td align="left">&nbsp;<?php echo $category_bpurchase_roe[category] ?></td>
								<td align="left">&nbsp;<?php echo $category_bpurchase_roe[product] ?></td>
								<td align="right"><?php echo number_format($category_bpurchase_roe[quantity], 2) ?>&nbsp;</td><?php 
								$manufacturer_bpurchase_roe = mysql_fetch_assoc($manufacturer_bpurchase_rec); ?>
								<td align="left" title="<?php echo $manufacturer_bpurchase_roe[manufacturer] ?>">&nbsp;<?php echo strlen($manufacturer_bpurchase_roe[manufacturer])>15?substr($manufacturer_bpurchase_roe[manufacturer],0,15)."...":$manufacturer_bpurchase_roe[manufacturer] ?></td>
								<td align="left">&nbsp;<?php echo $manufacturer_bpurchase_roe[product] ?></td>
								<td align="right"><?php echo number_format($manufacturer_bpurchase_roe[quantity], 2) ?>&nbsp;</td>
							</tr><?php 
						}
					} else if ($man_pur_count > $cat_pur_count){
						while ($manufacturer_bpurchase_roe = mysql_fetch_assoc($manufacturer_bpurchase_rec)){ 
							$i++ ;?>
							<tr class="<?php echo $i%2==0?'even':'odd' ?>"><?php 
								$category_bpurchase_roe = mysql_fetch_assoc($category_bpurchase_rec); ?>
								<td align="left">&nbsp;<?php echo $category_bpurchase_roe[category] ?></td>
								<td align="left">&nbsp;<?php echo $category_bpurchase_roe[product] ?></td>
								<td align="right"><?php echo number_format($category_bpurchase_roe[quantity], 2) ?>&nbsp;</td>
								<td align="left" title="<?php echo $manufacturer_bpurchase_roe[manufacturer] ?>">&nbsp;<?php echo strlen($manufacturer_bpurchase_roe[manufacturer])>15?substr($manufacturer_bpurchase_roe[manufacturer],0,15)."...":$manufacturer_bpurchase_roe[manufacturer] ?></td>
								<td align="left">&nbsp;<?php echo $manufacturer_bpurchase_roe[product] ?></td>
								<td align="right"><?php echo number_format($manufacturer_bpurchase_roe[quantity], 2) ?>&nbsp;</td>
							</tr><?php 
						}
					} else {
						while (($category_bpurchase_roe = mysql_fetch_assoc($category_bpurchase_rec)) && ($manufacturer_bpurchase_roe = mysql_fetch_assoc($manufacturer_bpurchase_rec))){
							$i++ ;?>
							<tr class="<?php echo $i%2==0?'even':'odd' ?>">
								<td align="left">&nbsp;<?php echo $category_bpurchase_roe[category] ?></td>
								<td align="left">&nbsp;<?php echo $category_bpurchase_roe[product] ?></td>
								<td align="right"><?php echo number_format($category_bpurchase_roe[quantity], 2) ?>&nbsp;</td>
								<td align="left" title="<?php echo $manufacturer_bpurchase_roe[manufacturer] ?>">&nbsp;<?php echo strlen($manufacturer_bpurchase_roe[manufacturer])>15?substr($manufacturer_bpurchase_roe[manufacturer],0,15)."...":$manufacturer_bpurchase_roe[manufacturer] ?></td>
								<td align="left">&nbsp;<?php echo $manufacturer_bpurchase_roe[product] ?></td>
								<td align="right"><?php echo number_format($manufacturer_bpurchase_roe[quantity], 2) ?>&nbsp;</td>
							</tr><?php 
						}
					} ?>
					</tbody>
					<tfoot>
						<tr class="total">
							<td colspan="2" align="right"><b>TOTAL</b>&nbsp;</td>
							<td align="right"><b><?php echo number_format($category_bpurchase_total, 2) ?></b>&nbsp;</td>
							<td colspan="2" align="right"><b>TOTAL</b>&nbsp;</td>
							<td align="right"><b><?php echo number_format($manufacturer_bpurchase_total, 2) ?></b>&nbsp;</td>
						</tr>
						<tr>
							<td></td>
							<td></td>
						</tr>
						<tr>
							<td></td>
							<td></td>
						</tr>
					</tfoot>
				</table>
				<br>
			</div>
			<div class="content" id="page-5"><?php
				$category_bsale_rec = sql_qry("SELECT c.category_name AS category, p.product_name AS product, SUM(bd.quantity) AS quantity FROM branch_sales bs	INNER JOIN bsale_details bd ON bs.sale_id = bd.sale_id INNER JOIN products p ON bd.product_id = p.product_id INNER JOIN categories c ON p.category_id = c.category_id WHERE bs.branch_id='$branch_id' AND MONTH(bs.delivery_date)='$month' AND YEAR(bs.delivery_date)='$year' GROUP BY bd.product_id ORDER BY category ASC, quantity DESC, product ASC");
				$category_bsale_total = sql_fld('SUM(bd.quantity)', 'branch_sales bs INNER JOIN bsale_details bd ON bs.sale_id = bd.sale_id INNER JOIN products p ON bd.product_id = p.product_id INNER JOIN categories c ON p.category_id = c.category_id', 'bs.branch_id=\''.$branch_id.'\' AND MONTH(bs.delivery_date)=\''.$month.'\' AND YEAR(bs.delivery_date)=\''.$year.'\'');
				$manufacturer_bsale_rec = sql_qry("SELECT m.manufacturer_name AS manufacturer, p.product_name AS product, SUM(bd.quantity) AS quantity FROM branch_sales bs INNER JOIN bsale_details bd ON bs.sale_id = bd.sale_id INNER JOIN products p ON bd.product_id = p.product_id INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id WHERE bs.branch_id = '$branch_id' AND MONTH(bs.delivery_date)='$month' AND YEAR(bs.delivery_date)='$year' GROUP BY bd.product_id ORDER BY manufacturer ASC, quantity DESC, product ASC");
				$manufacturer_bsale_total = sql_fld('SUM(bd.quantity)', 'branch_sales bs INNER JOIN bsale_details bd ON bs.sale_id = bd.sale_id INNER JOIN products p ON bd.product_id = p.product_id INNER JOIN manufacturers m ON p.manufacturer_id = m.manufacturer_id', 'bs.branch_id=\''.$branch_id.'\' AND MONTH(bs.delivery_date)=\''.$month.'\' AND YEAR(bs.delivery_date)=\''.$year.'\'');
				$cat_sale_count = mysql_num_rows($category_bsale_rec);
				$man_sale_count = mysql_num_rows($manufacturer_bsale_rec); ?>
				<br>
				<table>
					<thead class="data">
						<tr height="20px" align="center">
							<td width="700px" colspan="6"><b>Sales by Product</b></td>
						</tr>
						<tr height="20px" align="center">
							<td colspan="3"><b>Sales by Category</b></td>
							<td colspan="3"><b>Sales by Manufacturer</b></td>
						</tr>
						<tr height="20px" align="center">
							<td width="100px"><b>Category</b></td>
							<td width="200px"><b>Product</b></td>
							<td width="50px"><b>Qty</b></td>
							<td width="100px"><b>Manufacturer</b></td>
							<td width="200px"><b>Product</b></td>
							<td width="50px"><b>Qty</b></td>
						</tr>
					</thead>
					<tbody class="data"><?php $i=0;
					if ($cat_sale_count > $man_sale_count){
						while ($category_bsale_roe = mysql_fetch_assoc($category_bsale_rec)){
							$i++ ;?>
							<tr class="<?php echo $i%2==0?'even':'odd' ?>">
								<td align="left">&nbsp;<?php echo $category_bsale_roe[category] ?></td>
								<td align="left">&nbsp;<?php echo $category_bsale_roe[product] ?></td>
								<td align="right"><?php echo number_format($category_bsale_roe[quantity], 2) ?>&nbsp;</td><?php 
								$manufacturer_bsale_roe = mysql_fetch_assoc($manufacturer_bsale_rec); ?>
								<td align="left" title="<?php echo $manufacturer_bsale_roe[manufacturer] ?>">&nbsp;<?php echo strlen($manufacturer_bsale_roe[manufacturer])>15?substr($manufacturer_bsale_roe[manufacturer],0,15)."...":$manufacturer_bsale_roe[manufacturer] ?></td>
								<td align="left">&nbsp;<?php echo $manufacturer_bsale_roe[product] ?></td>
								<td align="right"><?php echo number_format($manufacturer_bsale_roe[quantity], 2) ?>&nbsp;</td>
							</tr><?php 
						}
					} else if ($man_sale_count > $cat_sale_count){
						while ($manufacturer_bsale_roe = mysql_fetch_assoc($manufacturer_bsale_rec)){
							$i++ ;?>
							<tr class="<?php echo $i%2==0?'even':'odd' ?>"><?php 
								$category_bsale_roe = mysql_fetch_assoc($category_bsale_rec); ?>
								<td align="left">&nbsp;<?php echo $category_bsale_roe[category] ?></td>
								<td align="left">&nbsp;<?php echo $category_bsale_roe[product] ?></td>
								<td align="right"><?php echo number_format($category_bsale_roe[quantity], 2) ?>&nbsp;</td>
								<td align="left" title="<?php echo $manufacturer_bsale_roe[manufacturer] ?>">&nbsp;<?php echo strlen($manufacturer_bsale_roe[manufacturer])>15?substr($manufacturer_bsale_roe[manufacturer],0,15)."...":$manufacturer_bsale_roe[manufacturer] ?></td>
								<td align="left">&nbsp;<?php echo $manufacturer_bsale_roe[product] ?></td>
								<td align="right"><?php echo number_format($manufacturer_bsale_roe[quantity], 2) ?>&nbsp;</td>
							</tr><?php 
						}
					} else {
						while (($category_bsale_roe = mysql_fetch_assoc($category_bsale_rec)) && ($manufacturer_bsale_roe = mysql_fetch_assoc($manufacturer_bsale_rec))){
							$i++ ;?>
							<tr class="<?php echo $i%2==0?'even':'odd' ?>"><?php 
								; ?>
								<td align="left">&nbsp;<?php echo $category_bsale_roe[category] ?></td>
								<td align="left">&nbsp;<?php echo $category_bsale_roe[product] ?></td>
								<td align="right"><?php echo number_format($category_bsale_roe[quantity], 2) ?>&nbsp;</td>
								<td align="left" title="<?php echo $manufacturer_bsale_roe[manufacturer] ?>">&nbsp;<?php echo strlen($manufacturer_bsale_roe[manufacturer])>15?substr($manufacturer_bsale_roe[manufacturer],0,15)."...":$manufacturer_bsale_roe[manufacturer] ?></td>
								<td align="left">&nbsp;<?php echo $manufacturer_bsale_roe[product] ?></td>
								<td align="right"><?php echo number_format($manufacturer_bsale_roe[quantity], 2) ?>&nbsp;</td>
							</tr><?php 
						}
					}
					?>
					</tbody>
					<tfoot>
						<tr class="total">
							<td colspan="2" align="right"><b>TOTAL</b>&nbsp;</td>
							<td align="right"><b><?php echo number_format($category_bsale_total, 2) ?></b>&nbsp;</td>
							<td colspan="2" align="right"><b>TOTAL</b>&nbsp;</td>
							<td align="right"><b><?php echo number_format($manufacturer_bsale_total, 2) ?></b>&nbsp;</td>
						</tr>
						<tr>
							<td></td>
							<td></td>
						</tr>
						<tr>
							<td></td>
							<td></td>
						</tr>
					</tfoot>
				</table>
				<br><?php
				$sbBalance = sql_fld('SUM(s.balance)', 'branch_sales s INNER JOIN branch_customers c ON s.customer_id = c.customer_id', 's.branch_id=\''.$branch_id.'\' AND MONTH(s.delivery_date)=\''.$month.'\' AND YEAR(s.delivery_date)=\''.$year.'\' AND s.balance>0 AND s.deleted=0');
				$sbTotal = sql_fld('SUM(s.line_total)', 'branch_sales s INNER JOIN branch_customers c ON s.customer_id = c.customer_id', 's.branch_id=\''.$branch_id.'\' AND MONTH(s.delivery_date)=\''.$month.'\' AND YEAR(s.delivery_date)=\''.$year.'\' AND s.balance>0 AND s.deleted=0');
				$sbSales_rec = sql_qry("SELECT c.company_name AS customer, SUM(s.line_total) AS total, SUM(s.balance) AS balance FROM branch_sales s INNER JOIN branch_customers c ON s.customer_id = c.customer_id WHERE s.branch_id='$branch_id' AND MONTH(s.delivery_date)='$month' AND YEAR(s.delivery_date)='$year' AND s.balance>0 AND s.deleted=0 GROUP BY s.customer_id ORDER BY customer ASC");
				$spTotal = sql_fld('SUM(s.line_total)', 'branch_sales s INNER JOIN branch_customers c ON s.customer_id = c.customer_id', 's.branch_id=\''.$branch_id.'\' AND MONTH(s.delivery_date)=\''.$month.'\' AND YEAR(s.delivery_date)=\''.$year.'\' AND s.balance=0  AND s.deleted=0');
				$spSales_rec = sql_qry("SELECT c.company_name AS customer, SUM(s.line_total) AS total FROM branch_sales s INNER JOIN branch_customers c ON s.customer_id = c.customer_id WHERE s.branch_id='$branch_id' AND MONTH(s.delivery_date)='$month' AND YEAR(s.delivery_date)='$year' AND s.balance = 0 AND s.deleted=0 GROUP BY s.customer_id ORDER BY customer ASC");
				$sbSales_count = mysql_num_rows($sbSales_rec);
				$spSales_count = mysql_num_rows($spSales_rec); ?>
				<table>
					<thead class="data">
						<tr height="20px" align="center">
							<td colspan="5"><b></b>Sales by Customer</td>
						</tr>
						<tr height="20px" align="center">
							<td colspan="3"><b>Sales with Balance</b></td>
							<td colspan="2"><b>Sales Paid in Full</b></td>
						</tr>
						<tr height="20px" align="center">
							<td width="200px"><b>Customer</b></td>
							<td width="75px"><b>Line Total</b></td>
							<td width="75px"><b>Balance</b></td>
							<td width="200px"><b>Customer</b></td>
							<td width="150px"><b>Line Total</b></td>
						</tr>
					</thead>
					<tbody class="data"><?php $i=0;
					if ($sbSales_count > $spSales_count){
						while ($sbSales_roe = mysql_fetch_assoc($sbSales_rec)){
							$i++ ;?>
							<tr class="<?php echo $i%2==0?'even':'odd' ?>">
								<td align="left">&nbsp;<?php echo $sbSales_roe[customer] ?></td>
								<td align="right"><?php echo $sbSales_roe[total]==null?'':number_format($sbSales_roe[total], 2) ?>&nbsp;</td>
								<td align="right"><?php echo $sbSales_roe[balance]==null?'':number_format($sbSales_roe[balance], 2) ?>&nbsp;</td><?php
								$spSales_roe = mysql_fetch_assoc($spSales_rec); ?>
								<td align="left">&nbsp;<?php echo $spSales_roe[customer] ?></td>
								<td align="right"><?php echo $spSales_roe[total]==null?'':number_format($spSales_roe[total], 2) ?>&nbsp;</td>
							</tr><?php 
						}
					} else if($spSales_count > $sbSales_count){
						while ($spSales_roe = mysql_fetch_assoc($spSales_rec)){
							$i++ ;?>
							<tr class="<?php echo $i%2==0?'even':'odd' ?>"><?php
								$sbSales_roe = mysql_fetch_assoc($sbSales_rec); ?>
								<td align="left">&nbsp;<?php echo $sbSales_roe[customer] ?></td>
								<td align="right"><?php echo $sbSales_roe[total]==null?'':number_format($sbSales_roe[total], 2) ?>&nbsp;</td>
								<td align="right"><?php echo $sbSales_roe[balance]==null?'':number_format($sbSales_roe[balance], 2) ?>&nbsp;</td>
								<td align="left">&nbsp;<?php echo $spSales_roe[customer] ?></td>
								<td align="right"><?php echo $spSales_roe[total]==null?'':number_format($spSales_roe[total], 2) ?>&nbsp;</td>
							</tr><?php 
						}
					} else {
						while (($sbSales_roe = mysql_fetch_assoc($sbSales_rec)) && ($spSales_roe = mysql_fetch_assoc($spSales_rec))){
							$i++; ?>
							<tr class="<?php echo $i%2==0?'even':'odd' ?>"><?php
								; ?>
								<td align="left">&nbsp;<?php echo $sbSales_roe[customer] ?></td>
								<td align="right"><?php echo $sbSales_roe[total]==null?'':number_format($sbSales_roe[total], 2) ?>&nbsp;</td>
								<td align="right"><?php echo $sbSales_roe[balance]==null?'':number_format($sbSales_roe[balance], 2) ?>&nbsp;</td>
								<td align="left">&nbsp;<?php echo $spSales_roe[customer] ?></td>
								<td align="right"><?php echo $spSales_roe[total]==null?'':number_format($spSales_roe[total], 2) ?>&nbsp;</td>
							</tr><?php 
						}
					}
					?>
					</tbody>
					<tfoot>
						<tr class="total">
							<td align="right"><b>TOTAL</b>&nbsp;</td>
							<td align="right"><b><?php echo number_format($sbTotal, 2) ?></b>&nbsp;</td>
							<td align="right"><b><?php echo number_format($sbBalance, 2) ?></b>&nbsp;</td>
							<td align="right"><b>TOTAL</b>&nbsp;</td>
							<td align="right"><b><?php echo number_format($spTotal, 2) ?></b>&nbsp;</td>
						</tr>
						<tr>
							<td></td>
							<td></td>
						</tr>
						<tr>
							<td></td>
							<td></td>
						</tr>
					</tfoot>
				</table>
				<br>
			</div>
			<div class="content" id="page-6"><?php
				$bExpense_rec = sql_qry("SELECT t.extype_name AS expense, SUM(e.amount) AS amount FROM branch_expenses e INNER JOIN expense_types t ON e.extype_id = t.extype_id WHERE e.branch_id='$branch_id' AND MONTH(e.edate)='$month' AND YEAR(e.edate)='$year' GROUP BY e.extype_id ORDER BY expense ASC");
				$bTax_rec = sql_qry("SELECT t.taxtype_name AS tax, SUM(x.amount) AS amount FROM branch_taxes x INNER JOIN tax_types t ON x.taxtype_id = t.taxtype_id WHERE x.branch_id='$branch_id' AND MONTH(x.tdate)='$month' AND YEAR(x.tdate)='$year' GROUP BY x.taxtype_id ORDER BY tax ASC");
				$expense_count = mysql_num_rows($bExpense_rec);
				$tax_count = mysql_num_rows($bTax_rec); ?>
				<br>
				<table>
					<thead class="data">
						<tr height="20px" align="center">
							<td colspan="4"><b>Expenses and Taxes</b></td>
						</tr>
						<tr height="20px" align="center">
							<td colspan="2"><b>Expenses</b></td>
							<td colspan="2"><b>Taxes</b></td>
						</tr>
						<tr height="20px" align="center">
							<td width="250px"><b>Customer</b></td>
							<td width="100px"><b>Line Total</b></td>
							<td width="250px"><b>Customer</b></td>
							<td width="100px"><b>Line Total</b></td>
						</tr>
					</thead>
					<tbody class="data"><?php $i=0;
					if ($expense_count > $tax_count){
						while ($bExpense_roe = mysql_fetch_assoc($bExpense_rec)){
							$i++; ?>
							<tr class="<?php echo $i%2==0?'even':'odd' ?>">
								<td align="left">&nbsp;<?php echo $bExpense_roe[expense] ?></td>
								<td align="right"><?php echo $bExpense_roe[amount]==null?'':number_format($bExpense_roe[amount], 2) ?>&nbsp;</td><?php
								$bTax_roe = mysql_fetch_assoc($bTax_rec); ?>
								<td align="left">&nbsp;<?php echo $bTax_roe[tax] ?></td>
								<td align="right"><?php echo $bTax_roe[amount]==null?'':number_format($bTax_roe[amount], 2) ?>&nbsp;</td>
							</tr><?php
						}
					} else if ($tax_count > $expense_count){
						while ($bTax_roe = mysql_fetch_assoc($bTax_rec)){
							$i++; ?>
							<tr class="<?php echo $i%2==0?'even':'odd' ?>"><?php
								$bExpense_roe = mysql_fetch_assoc($bExpense_rec); ?>
								<td align="left">&nbsp;<?php echo $bExpense_roe[expense] ?></td>
								<td align="right"><?php echo $bExpense_roe[amount]==null?'':number_format($bExpense_roe[amount], 2) ?>&nbsp;</td>
								<td align="left">&nbsp;<?php echo $bTax_roe[tax] ?></td>
								<td align="right"><?php echo $bTax_roe[amount]==null?'':number_format($bTax_roe[amount], 2) ?>&nbsp;</td>
							</tr><?php
						}
					} else {
						while (($bTax_roe = mysql_fetch_assoc($bTax_rec)) && ($bExpense_roe = mysql_fetch_assoc($bExpense_rec))){
							$i++; ?>
							<tr class="<?php echo $i%2==0?'even':'odd' ?>">
								<td align="left">&nbsp;<?php echo $bExpense_roe[expense] ?></td>
								<td align="right"><?php echo $bExpense_roe[amount]==null?'':number_format($bExpense_roe[amount], 2) ?>&nbsp;</td>
								<td align="left">&nbsp;<?php echo $bTax_roe[tax] ?></td>
								<td align="right"><?php echo $bTax_roe[amount]==null?'':number_format($bTax_roe[amount], 2) ?>&nbsp;</td>
							</tr><?php
						}
					} ?>
					</tbody>
					<tfoot>
						<tr class="total">
							<td align="right"><b>TOTAL</b>&nbsp;</td>
							<td align="right"><b><?php echo number_format($total_branch_expense, 2) ?></b>&nbsp;</td>
							<td align="right"><b>TOTAL</b>&nbsp;</td>
							<td align="right"><b><?php echo number_format($total_branch_taxes, 2) ?></b>&nbsp;</td>
						</tr>
						<tr>
							<td></td>
							<td></td>
						</tr>
						<tr>
							<td></td>
							<td></td>
						</tr>
					</tfoot>
				</table>
				<br>
			</div>
			<script src="lib/activatables.js" type="text/javascript"></script>
			<script type="text/javascript" src="lib/jquery.table2excel.js"></script>
			<script type="text/javascript">
				activatables('page', ['page-1', 'page-2', 'page-3', 'page-4', 'page-5', 'page-6']);
				$('#export').click(function(){
					$('#table2export').table2excel({
						sheetName: "<?php echo $branch_name.'_'.$year.'_'.$month.'_' ?>",
						filename: "<?php echo $branch_name.'_monthly_report' ?>"
					});
				});
			</script>
		</div>
		<p class="meta"></p>
	</div><?php
} ?>

