$.extend({
	//validate date
	val_dte:function(val){
		val=val.split("-");
		if(val.length!=3) return false;
		var year=val[0];
		var month=val[1];
		var day=val[2];
		if(isNaN(month)||isNaN(day)||isNaN(year)) return false;
		if(year<1000||year>9999||month<1||month>12||day<1) return false;
		if((month==1||month==3||month==5||month==7||month==8||month==10||month==12)&&day>31) return false;
		if((month==4||month==6||month==9||month==11)&&day>30) return false;
		if(month==2&&((year%4==0&&day>29)||(year%4!=0&&day>28))) return false;
		return true;
	},
	//validate time
	val_tme:function(val){
		val=val.split(":");
		if(val.length!=2) return false;
		var hour=val[0];
		var minute=val[1];
		if(isNaN(hour)||isNaN(minute)) return false;
		if(hour<0||hour>23||minute<0||minute>59) return false;
		return true;
	},
	//validate form before submit
	val_sbt:function(tag){
		$(tag).find('input, select, textarea').blur();
		if($('.err').length){
			$('.err:eq(0)').parent().find('input, select, textarea').focus();
			return true;
		}else return false;
	},
	//validation message
	ok:function(msg){
		$("#err").remove();
		alert(msg);
	},
	err:function(msg){
		$("#err").remove();
		$("#body").prepend($("<div>", {id:"err"}).append(msg));
	}
});
//validate entry
(function($){$.fn.valid=function(type){
	$(this).blur(function(){
		var msg;
		var valid;
		if(type===undefined){
			msg="Please provide a value.";
			valid=$(this).val()==""?false:true;	
		}else if(type=="num"){
			msg="Please provide a value that is numeric.";
			if($(this).val()=="") valid=true;
			else valid=!isNaN($(this).val());
		}else if(type=="dte"){
			msg="Please provide a value that is date.";
			if($(this).val()=="") valid=true;
			else valid=$.val_dte($(this).val());
		}else if(type=="tme"){
			msg="Please provide a value that is time.";
			if($(this).val()=="") valid=true;
			else valid=$.val_tme($(this).val());
		}else if(type=="dtm"){
			msg="Please provide a value that is date / time.";
			if($(this).val()=="") valid=true;
			else{
				var val=$(this).val().split("T");
				valid=val.length==2&&$.val_dte(val[0])&&$.val_tme(val[1])?true:false;	
			}
		}else if(typeof type=="object"){
			for(i in type){
				var obj=type[i];
				if(obj==""){
					msg="Please provide a value";
					valid=$(this).val()==""?false:true;
				}else if(obj=="num"){
					msg="Please provide a value that is numeric.";
					if($(this).val()=="") valid=true;
					else valid=!isNaN($(this).val());
				}else if(obj=="dte"){
					msg="Please provide a value that is date.";
					if($(this).val()=="") valid=true;
					else valid=$.val_dte($(this).val());
				}else if(obj=="tme"){
					msg="Please provide a value that is time.";
					if($(this).val()=="") valid=true;
					else valid=$.val_tme($(this).val());
				}else if(obj=="dtm"){
					msg="Please provide a value that is date / time.";
					if($(this).val()=="") valid=true;
					else{
						var val=$(this).val().split("T");
						valid=val.length==2&&$.val_dte(val[0])&&$.val_tme(val[1])?true:false;	
					}
				}else if($.isFunction(obj)){
					valid=obj.call(this);
					msg=valid;
				}
				if(!valid||typeof valid=="string") break;
			}
		}else if($.isFunction(type)){
			valid=type.call(this);
			msg=valid;
		}
		$(this).removeClass("ui-state-error").parent().find(".err").remove();
		if(!valid||typeof valid=="string") $(this).addClass("ui-state-error").parent().prepend($("<div>", {class:"err"}).append(msg));
	});
};}(jQuery));